commit 5dd534e957020b5d3a64b4ea08d6f1ce84a7ce58
Author: W. Michael Petullo <mike@flyn.org>
Date:   Mon Aug 1 13:50:17 2016 -0400

    Bump version number
    
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit 9b9e24afdeef6c2444912a4015a0730d163f5775
Author: W. Michael Petullo <mike@flyn.org>
Date:   Mon Aug 1 13:49:41 2016 -0400

    Allow explicit disable of libcheck at configure time
    
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit fc8ff35652d677c88c14d588e36136f04d736226
Author: W. Michael Petullo <mike@flyn.org>
Date:   Fri May 20 11:16:46 2016 -0400

    Bump version number
    
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit 3460b7c7bb53f81c4901dee356bf44b82f1208d9
Author: Bastien Nocera <hadess@hadess.net>
Date:   Fri May 20 16:22:54 2016 +0200

    tests: Fix compilation due to wrong formats
    
    On a 64-bit system, with gcc 6.0:
    format ‘%lld’ expects argument of type ‘long long int’, but argument 4
    has type ‘gint64 {aka long int}’
    
    https://bugzilla.gnome.org/show_bug.cgi?id=766721
    
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit eafa2c75d06c90b85ec355fe58b6db1ac33d189a
Author: W. Michael Petullo <mike@flyn.org>
Date:   Sat Feb 20 08:43:59 2016 -0500

    Bump version number
    
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit 684f030cbde8d81d73855ec8203c5da65d5dd9d9
Author: W. Michael Petullo <mike@flyn.org>
Date:   Wed Feb 17 22:57:34 2016 -0500

    Move g_object_unref of server inside conditional
    
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit 9c0ec1ba49fd4e9a7fd190fcf73d8c0204685622
Author: W. Michael Petullo <mike@flyn.org>
Date:   Wed Feb 17 22:54:45 2016 -0500

    Remove extra g_object_unref in dacp-share.c
    
    See also https://bugzilla.gnome.org/show_bug.cgi?id=762129.
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit 1a35c569af1b5052a8fcc712227489547c2c768d
Author: W. Michael Petullo <mike@flyn.org>
Date:   Wed Feb 17 22:13:39 2016 -0500

    Initialize the share_bitwise_t share member (thanks Sebastien Bacher)
    
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit 360667f90c5dff9130fa46de26247853dcefb74f
Author: W. Michael Petullo <mike@flyn.org>
Date:   Sun Feb 7 20:53:22 2016 -0500

    Bump version number
    
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit 5625a86de4d17c0c38f420376e3b802183edbf1b
Author: Sam Thursfield <sam@afuera.me.uk>
Date:   Sun Feb 7 22:55:48 2016 +0000

    Use soup_session_new() instead of deprecated soup_session_new_async()
    
    The SoupSession class now handles async and sync communications. Since
    we already call soup_session_queue_message() (which sends the message
    asynchronously) there are no other changes needed.

commit f71cbdaa12d1d1c7069b46b18b0be88320e409a6
Author: Sam Thursfield <sam@afuera.me.uk>
Date:   Sun Feb 7 22:52:44 2016 +0000

    Always set base URI path
    
    A SoupURI is considered invalid if the path is NULL. Set the path of the
    base URI to an empty string, instead.
    
    This fixes a bunch of these warnings:
    
        (rhythmbox:32182): libsoup-WARNING **: (soup-uri.c:248):soup_uri_new_with_base: runtime check failed: (SOUP_URI_IS_VALID (base))

commit f6a4a648c5b1faf835c634d28289b6adfc5673b7
Author: Sam Thursfield <sam@afuera.me.uk>
Date:   Sun Feb 7 22:43:13 2016 +0000

    Use new SoupServer API to create DMAPShare server.
    
    This old API is deprecated, and with the new API we can report the
    actual error message if we hit an error.

commit 4d0ae4143d68a3794da21b0e3b9a2ef0f82b6af0
Author: Sam Thursfield <sam@afuera.me.uk>
Date:   Sun Feb 7 21:42:14 2016 +0000

    Require libsoup 2.48.0
    
    2.48 was released in September 2014, so should be in most distros by
    now.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=761690

commit c9ee2983f37890234551068d92141aed0776fcde
Author: W. Michael Petullo <mike@flyn.org>
Date:   Sun Oct 25 21:36:37 2015 -0400

    Add to dmap-mdns-browser-dnssd.c the ability to lookup host name using mDNS
    
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit bc7768d0b65e5e3fce0193e8c6a2ab3c4d54009b
Author: W. Michael Petullo <mike@flyn.org>
Date:   Thu Oct 22 08:29:54 2015 -0400

    Fix compile error
    
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit 94b2d9d6be63fce7266f6e1b176b879d3b08918e
Author: W. Michael Petullo <mike@flyn.org>
Date:   Thu Oct 22 07:54:36 2015 -0400

    First pass cleaning up dmap-mdns-browser-dnssd.c
    
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit 608f0b71b4c6adb78df336478411a65f3fefd304
Author: W. Michael Petullo <mike@flyn.org>
Date:   Sun Oct 18 23:18:09 2015 -0400

    dns-sd browser: extract name out of, e.g., Foo\032Bar._daap._tcp.local
    
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit 77cdb2422d53312f24eeeab419aff3e5f9377230
Author: W. Michael Petullo <mike@flyn.org>
Date:   Sun Oct 18 21:33:21 2015 -0400

    Set GError when DNSServiceBrowse fails
    
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit 624a76057e9756fb3a0e0d61d2e76842671be7b0
Author: W. Michael Petullo <mike@flyn.org>
Date:   Sun Oct 18 18:49:59 2015 -0400

    Bump version number
    
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit 44affe39bf8299305788d33e26481ee71c1961db
Author: W. Michael Petullo <mike@flyn.org>
Date:   Sun Oct 18 15:33:37 2015 -0400

    Small fix for dmap_mdns_browser_start
    
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit a9ef8ed231804a9ad080d8f9ad42bc46aef171cd
Author: W. Michael Petullo <mike@flyn.org>
Date:   Sun May 31 21:05:46 2015 -0400

    Bump version number
    
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit 644c4ff28ccc0b4c5767cc443bf6ca7d46f463ea
Author: W. Michael Petullo <mike@flyn.org>
Date:   Sun May 31 21:02:34 2015 -0400

    Update some Vala-related files
    
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit 3dbaeefc953e8fe8e8e1f3d47cdd75f72ae2ae9e
Author: W. Michael Petullo <mike@flyn.org>
Date:   Sun May 31 21:00:51 2015 -0400

    Fix two errors identified by Coverity (GNOME bug #749886)
    
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit a946972efad22392f5dcb7bb8656f024e20bc988
Author: W. Michael Petullo <mike@flyn.org>
Date:   Sun May 31 20:45:42 2015 -0400

    Update libdmapsharing-3.0-docs.xml
    
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit dc76393732b65992831dbbb9cd9813cc23366399
Author: W. Michael Petullo <mike@flyn.org>
Date:   Wed Feb 11 22:01:36 2015 -0500

    Use --pkg gio-2.0, not --pkg glib-2.0 for Vala (thanks Ryan Lortie)
    
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit c479d652cb930bb6a5c7fdc59cd079dd5c4cc3f7
Author: W. Michael Petullo <mike@flyn.org>
Date:   Sat Feb 7 20:45:04 2015 -0500

    Bump version number
    
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit f4092fe842e1a2c211b527aed4ad8e5a96e28089
Author: W. Michael Petullo <mike@flyn.org>
Date:   Sat Feb 7 20:41:47 2015 -0500

    DNSSD backend: Always send TXT record Password=true or false, as iTunes 12.1.0.50 requires this
    
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit a2d8b2f228484fc4b614ce1062c7bdc4fa878982
Author: W. Michael Petullo <mike@flyn.org>
Date:   Sat Feb 7 20:33:43 2015 -0500

    Add to TODO
    
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit 043d696331668d2200832ed4414e1a209e58bdfa
Author: W. Michael Petullo <mike@flyn.org>
Date:   Mon Sep 1 14:58:16 2014 -0400

    Bump version number
    
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit 1f6ae2a6d01fac70106ddac862c64b3cec0717ef
Author: W. Michael Petullo <mike@flyn.org>
Date:   Mon Sep 1 14:55:44 2014 -0400

    Make building tests optional
    
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit 7e9d2bf7347c13efd21a2774e8491b97f3537ad9
Author: W. Michael Petullo <mike@flyn.org>
Date:   Sat Aug 9 21:07:43 2014 -0400

    Bump version number
    
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit dc7f7fcf10acd184bbfb359de50a1f1310d3366e
Author: W. Michael Petullo <mike@flyn.org>
Date:   Sat Aug 9 21:06:42 2014 -0400

    Fix configure script to better detect if we should build Vala code
    
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit 11713585800c3a898564b0c3d66cd09d3ce376dc
Author: W. Michael Petullo <mike@flyn.org>
Date:   Tue Aug 5 15:21:45 2014 -0400

    Bump version number
    
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit dc2f29bb515334cdeb921ddf680163357816a15c
Author: W. Michael Petullo <mike@flyn.org>
Date:   Tue Aug 5 15:17:38 2014 -0400

    Fix mismatched DMAPMetaDataMap struct typedef
    
    A mismatched struct typedef in dmap-share.h confuses GObject introspection
    into producing an error when the original struct is defined. The typedef
    of DMAPMetaDataMap asks for struct _DMAPMetaDataMap, but the actual
    struct definition says struct DMAPMetaDataMap. gir will complain about
    namespace conflicts and abort a jhbuild build as a result.
    
    Thanks to Pietro Gagliardi and gregier in irc.gimp.net/#gtk+ who helped
    Pietro.
    
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit c2bf5a60486cb5bc33f47ed5df708ad24d0d5c15
Author: W. Michael Petullo <mike@flyn.org>
Date:   Tue May 27 16:18:11 2014 -0400

    Bump version number
    
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit c1447ae3ae9574addab2fa9b82ca4f117609e222
Author: W. Michael Petullo <mike@flyn.org>
Date:   Tue May 27 16:10:56 2014 -0400

    test/Makefile.am: add dmapcopy to EXTRA_DIST
    
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit 06edb792b0459af2f0cfe82ca04e035901530c97
Author: W. Michael Petullo <mike@flyn.org>
Date:   Tue Apr 29 21:00:56 2014 -0400

    Update TODO
    
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit 7557691ed7e303b1a7927c3003242cbd12e25608
Author: W. Michael Petullo <mike@flyn.org>
Date:   Sat Apr 19 20:18:10 2014 -0400

    update TODO
    
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit cea4b17cde4f8f8d567d2d4ac88db83d95dc9b3e
Author: W. Michael Petullo <mike@flyn.org>
Date:   Sat Apr 19 20:16:48 2014 -0400

    fix some compiler warnings
    
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit 8ea1adb375998bf0df42cc63912cdbaec3c880e8
Author: W. Michael Petullo <mike@flyn.org>
Date:   Sat Apr 19 19:29:31 2014 -0400

    fix another spelling error
    
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit 3e6ef8c75455af7adefba4de7ff85a16e9904f0d
Author: W. Michael Petullo <mike@flyn.org>
Date:   Sat Apr 19 19:21:54 2014 -0400

    fix spelling error
    
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit 0e20a911ae6dee6636bfa72a912185b6626a87e6
Author: W. Michael Petullo <mike@flyn.org>
Date:   Sat Apr 19 19:07:10 2014 -0400

    silence builds by default
    
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit 66907af4df8b8f9af37b36c6fddad86e2b062a86
Author: W. Michael Petullo <mike@flyn.org>
Date:   Fri Apr 11 20:03:31 2014 -0400

    Bump version number
    
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit fbfd169b581d328df1b977dbcce6d2385bd271be
Author: W. Michael Petullo <mike@flyn.org>
Date:   Fri Apr 11 19:55:40 2014 -0400

    Fix for "bytes=" check in daap-share.c; thanks Bastien Nocera
    
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit 610a17d2fb60f9f4cb0fc754e0acd8a39c825dd0
Author: W. Michael Petullo <mike@flyn.org>
Date:   Sun Mar 9 22:31:33 2014 -0400

    Small change to a debug message
    
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit 55a8417308cd3af0bc306d37c0a887080827c2b2
Author: W. Michael Petullo <mike@flyn.org>
Date:   Sun Feb 2 23:12:35 2014 -0500

    Do not use AM_CONDITIONAL within a shell conditional
    
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit e0261c16a0e6a64adc0f84f869e40518984ee5f6
Author: W. Michael Petullo <mike@flyn.org>
Date:   Sun Nov 24 21:02:21 2013 -0500

    Install libdmapsharing-3.0.vapi on "make install"
    
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit 3e1b5933336dd3170527d2da2e234c8931520885
Author: W. Michael Petullo <mike@flyn.org>
Date:   Sun Nov 24 14:19:11 2013 -0500

    Update some Vala-related files
    
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit 91879548a32c65b0897ecbe58aaafb7646743931
Author: W. Michael Petullo <mike@flyn.org>
Date:   Sun Nov 24 14:17:30 2013 -0500

    Some work related to GObject introspection (there is a lot of work remaining)
    
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit 1da947bfbabba1567bdd9c5e2bbb082b8de7d0ec
Author: W. Michael Petullo <mike@flyn.org>
Date:   Thu Nov 7 08:56:03 2013 -0500

    Bump version number
    
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit 0f6010e429430867f80ed9933228d69dac783679
Author: W. Michael Petullo <mike@flyn.org>
Date:   Thu Nov 7 08:41:50 2013 -0500

    Update libdmapsharing.spec
    
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit 28d26ba51dac6565a796a4e2c68ad28f89af398f
Author: Bastien Nocera <hadess@hadess.net>
Date:   Tue Oct 29 11:42:31 2013 +0100

    Fix clang warning
    
    dmap-md5.c:187:26: warning: 'memset' call operates on objects of type 'MD5_CTX'
    while the size is based on a different
          type 'MD5_CTX *' [-Wsizeof-pointer-memaccess]
            memset (ctx, 0, sizeof (ctx));  /* In case it's sensitive */
                    ~~~             ^~~
    
    That should be "sizeof(*ctx)" instead.
    
    See https://bugzilla.redhat.com/show_bug.cgi?id=1023528
    
    https://bugzilla.gnome.org/show_bug.cgi?id=711063

commit 3e347fd3e8e7e20afc562268f27fd3c2b79f4d0e
Author: Bastien Nocera <hadess@hadess.net>
Date:   Tue Oct 29 11:37:15 2013 +0100

    Avoid OOB read with buggy servers
    
    If the server doesn't start the Content-Range field with "bytes="
    we would have an out-of-bounds read trying to parse the content
    of that field. Fall back to a 0 offset when a parsing error occurs.
    
    See https://bugzilla.redhat.com/show_bug.cgi?id=1024020
    
    https://bugzilla.gnome.org/show_bug.cgi?id=711063

commit 617164b22dbbe17490377c56f8a859541e9fcfdb
Author: Bastien Nocera <hadess@hadess.net>
Date:   Tue Oct 29 11:34:20 2013 +0100

    Use strlen() instead of hard-coding string length
    
    This avoids hard to detect bugs when we want a different string length,
    and will be optimised by the compiler anyway.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=711063

commit 577b6705f5ef480721f894f1c2e79a62b36051f7
Author: W. Michael Petullo <mike@flyn.org>
Date:   Sun Aug 25 19:52:35 2013 -0400

    Bump version number
    
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit 8c3fd3791a30cbe0d62f3cd9953a911fb6313e8b
Author: W. Michael Petullo <mike@flyn.org>
Date:   Tue Aug 20 22:12:37 2013 -0400

    Replace some assertions in dmap-gst-*-input-stream.c with error handling
    
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit 77e846271dd5df841c6156d8a5a5eb8ded32f511
Author: W. Michael Petullo <mike@flyn.org>
Date:   Thu Aug 15 23:18:27 2013 -0400

    Fix daap-share.c:should_transcode()
    
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit 6d7fdf43c72c8d9565ec373a27d1d241b640270d
Author: W. Michael Petullo <mike@flyn.org>
Date:   Mon Jul 29 22:45:32 2013 -0400

    Bump version number
    
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit 9b0ee6421c289dc0541e7c2faa4feae8f5356c47
Author: W. Michael Petullo <mike@flyn.org>
Date:   Thu Jul 25 09:00:44 2013 -0400

    Fix memory leak in transcoding code
    
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit df307421b4e2af834b4aa8494df6f36904604889
Author: W. Michael Petullo <mike@flyn.org>
Date:   Wed Jul 24 22:48:52 2013 -0400

    Remove double "end_time = "
    
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit f291351929d0978ac7c150f1073084e02ad4acac
Author: W. Michael Petullo <mike@flyn.org>
Date:   Fri Jul 19 20:29:46 2013 -0400

    Bump version number
    
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit e70abfbe626396327c415e6c97bf4a4ebb93ee26
Author: W. Michael Petullo <mike@flyn.org>
Date:   Fri Jul 19 20:19:21 2013 -0400

    Add hash to DMAP records
    
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit 7ac190fdbdf6f8894d41a7bb11de7e7dd3c308cd
Author: W. Michael Petullo <mike@flyn.org>
Date:   Wed Jul 17 23:28:55 2013 -0400

    Split out dmap_hash_progressive_to_string function
    
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit 2a4009b2e16444b73ba03fe82453cc4630f77b66
Author: W. Michael Petullo <mike@flyn.org>
Date:   Wed Jul 17 23:04:18 2013 -0400

    Add progressive MD5 hash function
    
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit 9bf076380d0d2560c0e890f3799a3018131669c3
Author: W. Michael Petullo <mike@flyn.org>
Date:   Fri Jul 12 15:52:28 2013 -0400

    Bump version number
    
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit d664c63012335926bacba4b3ea512e4b977fb224
Author: W. Michael Petullo <mike@flyn.org>
Date:   Wed Jul 10 08:15:17 2013 -0400

    Modify use of DNS_SD_CFLAGS in configure.ac
    
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit 8508a6f7a7ae5e12c6c4e53c48157768e926e670
Author: W. Michael Petullo <mike@flyn.org>
Date:   Sun Jul 7 14:47:03 2013 -0500

    Bump version number
    
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit 2b9fafd7dacf2d6828146fc1b0bd9565f3f6938f
Author: W. Michael Petullo <mike@flyn.org>
Date:   Fri Jul 5 10:14:05 2013 -0500

    Require GLib2 >= 2.36 and fix some compile warnings in tests
    
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit 9a07b2301a1be2ff45b2366450280543ece5dcf4
Author: W. Michael Petullo <mike@flyn.org>
Date:   Fri Jul 5 09:53:34 2013 -0500

    Fix up dmap.h and dmap-utils.h
    
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit b1895bc7de10b0a3a02a32c3bea1428de72d8538
Author: W. Michael Petullo <mike@flyn.org>
Date:   Fri Jul 5 09:44:54 2013 -0500

    Update libdmapsharing.spec
    
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit d0d3fa7ba131b8f41d073b09ad31d217befa42ab
Author: W. Michael Petullo <mike@flyn.org>
Date:   Fri Jul 5 09:43:52 2013 -0500

    Get to compile without warnings
    
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit 9bbad5a272f9a8724926ae0486ca0118c0fb9069
Author: W. Michael Petullo <mike@flyn.org>
Date:   Thu Jul 4 21:55:11 2013 -0500

    Fix serving large videos
    
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit e4c27ba64b0d834a24a07285ce5273af43ec04ee
Author: W. Michael Petullo <mike@flyn.org>
Date:   Wed Jun 26 21:10:26 2013 -0500

    Fix handling of pre-transcoded video; now works with iTunes
    
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit 9950d3c0f236b4a164bb2a5b81b0cd14d9a7410b
Author: W. Michael Petullo <mike@flyn.org>
Date:   Tue Jun 25 22:28:16 2013 -0500

    Bump version number
    
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit b984744dfadb2a395d8896eebea66cdea16d2e78
Author: W. Michael Petullo <mike@flyn.org>
Date:   Tue Jun 25 22:27:05 2013 -0500

    Export dmap_mime_to_format
    
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit 4caf1556bda4b3260263d90575040c64be3a717c
Author: W. Michael Petullo <mike@flyn.org>
Date:   Mon Jun 24 20:10:32 2013 -0500

    Update transcoders and add (still broken) QuickTime transcoder
    
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit e467ade699eab1ed5f0505f5fd03999700618d55
Author: W. Michael Petullo <mike@flyn.org>
Date:   Sun Jun 23 21:45:04 2013 -0500

    Update to TODO: remember cause of bug with current libsoup
    
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit 8aec4065402a46dbe2b51e0cdae2fda540fac113
Author: W. Michael Petullo <mike@flyn.org>
Date:   Fri Apr 12 14:05:18 2013 -0500

    Regenerate libdmapsharing-3.0-docs.xml
    
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit 02453cb82a98f098679b2e0579f7cc05a1297ca4
Author: W. Michael Petullo <mike@flyn.org>
Date:   Fri Apr 12 13:54:42 2013 -0500

    Bump version number
    
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit 8251282142814ee842ccbc1c1d9997dfee2b8f45
Author: W. Michael Petullo <mike@flyn.org>
Date:   Fri Apr 12 13:53:41 2013 -0500

    Fix misspelling of received
    
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit f4c008e060338d2bdac2102cea7d170ec74b6d6a
Author: W. Michael Petullo <mike@flyn.org>
Date:   Fri Apr 12 13:37:37 2013 -0500

    Recompile Vala code with libgee-0.8
    
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit c123492837d3b869f101536b13decd611e2000c3
Author: W. Michael Petullo <mike@flyn.org>
Date:   Fri Apr 12 13:28:03 2013 -0500

    autogen.sh: touch ChangeLog before running GNU autotools
    
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit 668f2c467c5e7dade3aaa21e78d63be37032ab49
Author: W. Michael Petullo <mike@flyn.org>
Date:   Fri Apr 12 13:26:08 2013 -0500

    Clean up "make clean" in vala directory a bit
    
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit 6dd8492b7688695fd8b2941f1be1cb647cdc6325
Author: W. Michael Petullo <mike@flyn.org>
Date:   Fri Apr 12 13:25:07 2013 -0500

    Make ChangeLog generator in autogen.sh more clear
    
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit 1c9ee1a31e50e81680ffb87eeb5d90e4ca928601
Author: W. Michael Petullo <mike@flyn.org>
Date:   Tue Dec 4 10:32:45 2012 -0600

    Bump version number
    
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit 7591cc26b8ca64700a09cf21b73a6f2f44bd495d
Author: W. Michael Petullo <mike@flyn.org>
Date:   Tue Dec 4 10:32:00 2012 -0600

    Clean up some compiler warnings and GStreamer 1.0-related code
    
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit a164c8da85650e53481b0fb5d5acbbcfb644ae28
Author: W. Michael Petullo <mike@flyn.org>
Date:   Thu Nov 29 22:32:15 2012 -0600

    Port to GStreamer 1.0
    
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit f86471709a970ed7591328bc895b499e261a3cd6
Author: W. Michael Petullo <mike@flyn.org>
Date:   Sun Jul 15 23:44:00 2012 -0500

    Use libgee 0.8
    
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit 7a095fc74e46ce9937bac94303e4fc42bf9ad445
Author: W. Michael Petullo <mike@flyn.org>
Date:   Fri Mar 30 16:36:18 2012 -0500

    Remove some unused Vala files
    
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit e4d0c578c8b5521e21147a709cedecdd546b23da
Author: W. Michael Petullo <mike@flyn.org>
Date:   Fri Mar 30 10:25:49 2012 -0500

    Bump version number
    
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit aed99186a802f4579c106f997f339bd87f588ce1
Author: W. Michael Petullo <mike@flyn.org>
Date:   Sun Mar 18 21:32:37 2012 -0500

    Change "Ignoring local service..." message from g_warning to g_debug
    
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit b89ac615be54a54a009dc11a7f8d96d11c5391d2
Author: W. Michael Petullo <mike@flyn.org>
Date:   Sun Mar 18 21:26:38 2012 -0500

    Use pkg-config's uninstalled feature with vapigen
    
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit dbfad8257123732243cbfa9722646a437ef6e02b
Author: W. Michael Petullo <mike@flyn.org>
Date:   Mon Dec 5 12:51:29 2011 -0600

    Bump version number
    
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit 77b541702a3acba38ec243b63b23ea6bc661bd66
Author: W. Michael Petullo <mike@flyn.org>
Date:   Mon Dec 5 12:40:07 2011 -0600

    Remove include of config.h from daap-connection.h
    
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit 401b054f026f437d36fba06c25be9f49bee8ab00
Author: W. Michael Petullo <mike@flyn.org>
Date:   Mon Dec 5 11:14:42 2011 -0600

    Update glib includes in dpap-share.c (thanks Adam Jackson)
    
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit 66270a2ece1f04755be971fcf996f5a838388027
Author: W. Michael Petullo <mike@flyn.org>
Date:   Sun Nov 13 22:01:11 2011 -0600

    Small format change
    
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit 539f9d509e29e11447a1c664d1df615e95a62b1c
Author: W. Michael Petullo <mike@flyn.org>
Date:   Sat Oct 22 16:34:46 2011 -0500

    Bump version number
    
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit ad1e386aff2af3a01a00d1fa110aa00e6b8ac4ad
Author: W. Michael Petullo <mike@flyn.org>
Date:   Fri Jul 8 09:49:54 2011 -0500

    Fill in backlog's DMAPMdnsBrowserService fields earlier for clarity
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit 3943d8d059d46a6f016b9d397117c1da7a6eb4cb
Author: Daniel Svensson <dsvensson@gmail.com>
Date:   Fri Jul 8 08:31:47 2011 +0200

    Free ServiceContext where it actually goes out of scope.

commit 0ab3dba006a2b583b230d2bd51e02ec13b0fce31
Author: Daniel Svensson <dsvensson@gmail.com>
Date:   Fri Jul 8 08:16:07 2011 +0200

    Don't leak GIOChannels in DNS-SD backend.

commit 06d359656be3ec3a19bc4ceca5a4ea6f635ba8a7
Author: W. Michael Petullo <mike@flyn.org>
Date:   Thu Jul 7 17:51:38 2011 -0500

    More work on clarifying dmap-mdns-browser-dnssd.c
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit aae69f3c21eca774f3fa0669a6d5ac0198bf95fc
Author: W. Michael Petullo <mike@flyn.org>
Date:   Thu Jul 7 17:30:22 2011 -0500

    Fix some memory leaks identitifed while testing dmap-mdns-browser-dnssd.c
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit d55438c8c6451e752423d4354c97b0214283aff6
Author: W. Michael Petullo <mike@flyn.org>
Date:   Thu Jul 7 16:46:18 2011 -0500

    Some work on clarifying dmap-mdns-browser-dnssd.c
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit 504a2cfcf450dadbf167ae7e12709d6432d3f2b9
Author: W. Michael Petullo <mike@flyn.org>
Date:   Thu Jul 7 11:56:43 2011 -0500

    Some interim work on debug messages
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit 18a261b193e1eeebe642072754e1e7ee2d9fd6f7
Author: W. Michael Petullo <mike@flyn.org>
Date:   Thu Jul 7 11:53:43 2011 -0500

    Reorder some function declarations
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit b501bc73cd2a6179f6b6b62bc1f491faa6665235
Author: W. Michael Petullo <mike@flyn.org>
Date:   Wed Jul 6 22:49:20 2011 -0500

    test-dmap-client: Don't quit after displaying one connection
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit dfce195fe7fbf0dab9d075ac44596598ba2f5d03
Author: W. Michael Petullo <mike@flyn.org>
Date:   Wed Jul 6 22:36:39 2011 -0500

    Start attempt to make Apple dns_sd DMAPMdnsBrowser work with multiple shares (thanks Daniel Svensson)
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit 15fc503b18f7363bfead669f1dc2dca3d25aba84
Author: W. Michael Petullo <mike@flyn.org>
Date:   Wed Jul 6 21:50:07 2011 -0500

    Fix incorrect printf format string in test-dmap-client.c
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit 031f244c317a0e2aec322fbd50905676d166143c
Author: W. Michael Petullo <mike@flyn.org>
Date:   Wed Jul 6 20:56:11 2011 -0500

    Handle ./configure --with-mdns=dns_sd properly
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit 5c5de710f4a7c3cd23a45d88d26f4b79127deb2b
Author: W. Michael Petullo <mike@flyn.org>
Date:   Wed Jul 6 17:45:46 2011 -0500

    Remove old, commented out code from dmap-connection.c
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit c1c28b99995169c746446583e4c7ef130403493d
Author: W. Michael Petullo <mike@flyn.org>
Date:   Wed Jul 6 17:43:56 2011 -0500

    Remove old, commented out code from daap-connection.c
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit f4aef794f5500e8a545252e7af4780b18c24675f
Author: W. Michael Petullo <mike@flyn.org>
Date:   Wed Jul 6 17:42:24 2011 -0500

    Remove fixed FIXME comment
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit 67b98db3bc5072e13606aebb0b49534705a550ce
Author: W. Michael Petullo <mike@flyn.org>
Date:   Wed Jul 6 17:40:11 2011 -0500

    Fix previous
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit 85055f145651f34fe22e0eec2a85ca2fe17bb19d
Author: W. Michael Petullo <mike@flyn.org>
Date:   Wed Jul 6 17:37:20 2011 -0500

    Get rid of magic number in dmap-structure.c
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit 080485738d1474b9c3edbe7c156f454e5dfaf1a9
Author: W. Michael Petullo <mike@flyn.org>
Date:   Wed Jul 6 17:30:12 2011 -0500

    Do not use g_object_get to get DMAPShare properties from DMAPShare
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit 009c9b71d84a169cb0f6b7e87986baf3d93821a0
Author: W. Michael Petullo <mike@flyn.org>
Date:   Mon Jul 4 09:04:47 2011 -0500

    Add missing include of string.h (thanks Vincent Untz)
    
    See also https://bugzilla.gnome.org/show_bug.cgi?id=653931.
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit 8b7935bfede0564f51aa9f92fbdaf11c9c0d9261
Author: W. Michael Petullo <mike@flyn.org>
Date:   Sun Jul 3 21:09:16 2011 -0500

    Use decodebin2 instead of decodebin
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit abd8e182e90db73d0bbc21ba8ed3cc9941d01681
Author: W. Michael Petullo <mike@flyn.org>
Date:   Sun Jul 3 19:45:07 2011 -0500

    Copy service_name/name strings (thanks Daniel Svensson)
    
    See also https://bugzilla.gnome.org/show_bug.cgi?id=653859.
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit 3aab97b87c78ddb3b898624e45eda176232d955b
Author: W. Michael Petullo <mike@flyn.org>
Date:   Tue May 31 23:01:22 2011 -0500

    Remove double add from ValaDMAPDb
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit f6b98a3d9084d4761b93d5ca44bc0f5c3b0b505a
Author: W. Michael Petullo <mike@flyn.org>
Date:   Fri May 27 22:51:46 2011 -0500

    Bump version number
    
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit 888cc92bc4bea22178f6e2f517c2bdc93289d07b
Author: W. Michael Petullo <mike@flyn.org>
Date:   Fri May 27 10:51:52 2011 -0500

    Use real format for media that is not transcoded (videos)
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit 4578c29ba817d1d40eaaad1b59fa02e971fad4fb
Author: W. Michael Petullo <mike@flyn.org>
Date:   Fri May 27 09:19:05 2011 -0500

    Add support for com.apple.itunes.has-video to DAAPConnection
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit 6f5af2c610d2b8e0914f9a9d01a1b3a06f4022ad
Author: W. Michael Petullo <mike@flyn.org>
Date:   Wed May 25 13:59:18 2011 -0500

    Change docs to doc
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit a17c82b6ef5d326c1495a8042fa52022834db15c
Author: W. Michael Petullo <mike@flyn.org>
Date:   Tue May 24 11:34:33 2011 -0500

    Bump version number
    
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit ad03e0281b2478d3f65fb7ee9b251639186ec73b
Author: W. Michael Petullo <mike@flyn.org>
Date:   Tue May 24 11:30:48 2011 -0500

    Add comment about DMAP-specific modification to MD5 code
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit 1c65e0fda97c1ca176e7fa47fa51ba8ee3261386
Author: W. Michael Petullo <mike@flyn.org>
Date:   Tue May 24 10:49:25 2011 -0500

    Add unit test of MD5 code
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit 5d1413e66c933fe22e09a7e732f516c2740d8a00
Author: W. Michael Petullo <mike@flyn.org>
Date:   Tue May 24 10:30:12 2011 -0500

    Add unit test framework
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit 39fee49a22b96e37e31a3f21b5d5fdebacf017a1
Author: W. Michael Petullo <mike@flyn.org>
Date:   Mon May 23 14:42:45 2011 -0500

    Add transport protocol record to DMAPMdnsBrowserService
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit 004a53e06c4c32af22fe55333e01d261ac8a3a73
Author: W. Michael Petullo <mike@flyn.org>
Date:   Fri May 20 12:05:56 2011 -0500

    Update README and remove host-specific target from doc/Makefile.am
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit b0fed70175f47051cd85d0851f2e8b6659e8ec97
Author: W. Michael Petullo <mike@flyn.org>
Date:   Fri May 20 08:56:24 2011 -0500

    Move docs to doc
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit 8c0df7ed4b68429cd0a0ae27bd5cd6ef8ff5c9f4
Author: W. Michael Petullo <mike@flyn.org>
Date:   Fri May 20 08:47:16 2011 -0500

    Prepend DACPPlayer enums with DACP_
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit 1b7f5649d659287c83e05494cbec6f9b52d08fd3
Author: W. Michael Petullo <mike@flyn.org>
Date:   Thu May 19 22:18:34 2011 -0500

    Fix typo in server-internals.xml
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit 5cc3dbdaa97e5fd5ad88d492a3b6ee290d05b128
Author: W. Michael Petullo <mike@flyn.org>
Date:   Thu May 19 20:32:33 2011 -0500

    Update README
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit a72a49d4bf098e3e314b4465311c68c90538f880
Author: W. Michael Petullo <mike@flyn.org>
Date:   Thu May 19 19:47:39 2011 -0500

    Bump version number
    
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit 113099e6067b63446e179552fe02f9fed39aef23
Author: W. Michael Petullo <mike@flyn.org>
Date:   Wed May 18 22:06:48 2011 -0500

    Update TODO
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit f16d304a77d38e71c11ace080f59d9fa71617a2c
Author: W. Michael Petullo <mike@flyn.org>
Date:   Wed May 18 22:04:16 2011 -0500

    Add some debug statements to compare_record_property function
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit 68369d89086a3aec7f4befcc0e91c397dfd4e073
Author: W. Michael Petullo <mike@flyn.org>
Date:   Wed May 18 20:40:10 2011 -0500

    Add media kind for podcast and TV show (I think I have them right)
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit 8049c1ecc4bce90b6f4f9ceacf7059e33ac27164
Author: W. Michael Petullo <mike@flyn.org>
Date:   Wed May 18 12:17:29 2011 -0500

    Add tags to "default" playlist that mirror real playlists
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit 9790f2856f7663a14932aec6a194505fe12c2687
Author: W. Michael Petullo <mike@flyn.org>
Date:   Wed May 18 01:29:15 2011 -0500

    Work on TODO
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit 47a7222a05523df4b359c1d313ffa1aca9fc8128
Author: W. Michael Petullo <mike@flyn.org>
Date:   Wed May 18 01:15:32 2011 -0500

    Send proper volume on /1/getspeakers request
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit 5b6ba851026bad934bd30d5ccb473b3b23e34695
Author: W. Michael Petullo <mike@flyn.org>
Date:   Wed May 18 00:51:11 2011 -0500

    Some work attempting to get Remote version 2 to work
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit 447f6fd1b21c0f323768de7bad8d5e612f5e7b65
Author: W. Michael Petullo <mike@flyn.org>
Date:   Tue May 17 13:48:44 2011 -0500

    Add support for _raop._tcp to dmap-mdns-browser.h
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit 91b83a9eb275ec9c1f782bdc83fe03b361b33eb3
Author: W. Michael Petullo <mike@flyn.org>
Date:   Tue May 17 08:49:59 2011 -0500

    Bump version number
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit 3d523893ce85c07bdc86e4d2ae4b08d9ce51c1d1
Author: W. Michael Petullo <mike@flyn.org>
Date:   Tue May 10 13:12:07 2011 -0500

    Add ';' after macro call so indent does not get confused
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit 33b52aebcd9109690b6f7873da2cb57ad5f8269b
Author: W. Michael Petullo <mike@flyn.org>
Date:   Tue May 10 13:10:34 2011 -0500

    Implement dmap_connection_authenticate_message to encapsulate details of authenticating a request
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit 951e328bd3442f0c84c045a00e36019348bd0484
Author: W. Michael Petullo <mike@flyn.org>
Date:   Mon May 9 21:32:46 2011 -0500

    Put password_protected back into _DMAPMdnsBrowserService; allows for distinct icon in Rhythmbox
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit 73f5f530001853440d444a1c4058304cd7265cf1
Author: W. Michael Petullo <mike@flyn.org>
Date:   Mon May 9 20:14:00 2011 -0500

    Work on authentication
    
    See also https://bugzilla.gnome.org/show_bug.cgi?id=501389.
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit 8ac98cf07d6ec29a23acb2d89e3167b15b5644da
Author: W. Michael Petullo <mike@flyn.org>
Date:   Sun May 1 01:32:35 2011 -0500

    Fix service_name/name in dmap_mdns_browser_resolve()
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit 35287678b69906d6bc478924f45c86465c1b00d2
Author: W. Michael Petullo <mike@flyn.org>
Date:   Sat Apr 30 17:01:51 2011 -0500

    Make DAAPRecord's "mediakind" property an enum
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit c7c8e13e5ba741b4667a77569ec6d9a41275414c
Author: W. Michael Petullo <mike@flyn.org>
Date:   Fri Apr 29 20:38:04 2011 -0500

    Install dmap-enums.h
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit d0c6218222b97886a009767ade17a202562ddd21
Author: W. Michael Petullo <mike@flyn.org>
Date:   Fri Apr 29 09:50:06 2011 -0500

    Rearrange error handling in create_services()
    
    See also https://bugzilla.gnome.org/show_bug.cgi?id=648925.
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit 6bbf1efb0ae78770ccfdb322b4243ce92464acd4
Author: W. Michael Petullo <mike@flyn.org>
Date:   Sun Apr 10 22:43:18 2011 -0500

    Commit some DACP-related changes (thanks Stuart)

commit 46f314d271adce7cfd480d6b9771723a18312f32
Author: W. Michael Petullo <mike@flyn.org>
Date:   Tue Apr 5 15:06:10 2011 -0500

    Fix compiler warning about service_type_name
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit e09682a9b435a5a4e1266ef6de73dfd1c3f557ac
Author: W. Michael Petullo <mike@flyn.org>
Date:   Sun Apr 3 17:46:57 2011 -0500

    Various compile warning fixes
    
    See also https://bugzilla.gnome.org/show_bug.cgi?id=646610.
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit 9d4c66e061adedaa2bd5f4919d9ced26d3a1edcf
Author: W. Michael Petullo <mike@flyn.org>
Date:   Sat Apr 2 16:33:07 2011 -0500

    Bump version number
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit 042da778966bd1dcbe2c38ff33d949844e30829e
Author: W. Michael Petullo <mike@flyn.org>
Date:   Sat Apr 2 09:53:24 2011 -0500

    Check for kDNSServiceFlagsAdd
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit 4dbff70f2f79648e36bf4072e5dde7273e192a08
Author: W. Michael Petullo <mike@flyn.org>
Date:   Sat Apr 2 09:50:32 2011 -0500

    Free service struct itself in free_service()
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit 148a55811dd59d36a147dc72a872fe0ccc95d54f
Author: W. Michael Petullo <mike@flyn.org>
Date:   Fri Apr 1 16:33:53 2011 -0500

    Fix mistake in dmap_container_db_add definition.
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit e6cc61479c287aa1a8d070163b1df5eace33871b
Author: W. Michael Petullo <mike@flyn.org>
Date:   Thu Mar 31 21:26:32 2011 -0500

    Add comment about future of dmap_container_record_add_entry()
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit 0b47df5bf00af1956ff70aaad26e7293ee011ac1
Author: W. Michael Petullo <mike@flyn.org>
Date:   Thu Mar 31 21:09:27 2011 -0500

    Add dmap_container_db_add()
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit 487beacd9d8dc8cb196a2e7aac1797c754954691
Author: W. Michael Petullo <mike@flyn.org>
Date:   Wed Mar 30 22:57:33 2011 -0500

    Reg_type vs. service_type; allow to choose: DAAP, DPAP, etc.
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit bbcdd4faf1c5d236179d24943df4c57e9a09e6d7
Author: W. Michael Petullo <mike@flyn.org>
Date:   Wed Mar 30 22:30:28 2011 -0500

    A few more cleanups for dmap-mdns-browser-dnssd.c
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit ef6737c0b3ea221abb1f59be406c98355a3f84f6
Author: W. Michael Petullo <mike@flyn.org>
Date:   Wed Mar 30 22:25:39 2011 -0500

    Move definition of service_type_name to header file
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit bba32dd8a5e2c34011a86b6ac23a8a5ffdc118df
Author: W. Michael Petullo <mike@flyn.org>
Date:   Wed Mar 30 22:19:19 2011 -0500

    Get rid of some camel case variables
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit 7181e3ad8003b957be4a6071ed8ecab26058f676
Author: W. Michael Petullo <mike@flyn.org>
Date:   Wed Mar 30 22:13:21 2011 -0500

    Run indent on dmap-mdns-browser-dnssd.c
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit 07cfc9a07d5a4bfd68738393eb6351e0198831b9
Author: W. Michael Petullo <mike@flyn.org>
Date:   Wed Mar 30 22:11:58 2011 -0500

    Basic whitespace cleanup to dmap-mdns-browser-dnssd.c
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit 9754a6f0fcccb68f60401767112674dce7f9948f
Author: W. Michael Petullo <mike@flyn.org>
Date:   Wed Mar 30 22:11:29 2011 -0500

    Apply next DNS-SD patch
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit 60075a603b7cd923dae4b825a711de7e6db38d7e
Author: W. Michael Petullo <mike@flyn.org>
Date:   Wed Mar 30 20:39:05 2011 -0500

    Update memory notes following work on dmapd's BDB module
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit 2b757c08e3976229497d1db748866e5ffc7a88f5
Author: W. Michael Petullo <mike@flyn.org>
Date:   Mon Mar 28 14:58:16 2011 -0500

    Bump version number
    
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit ce9fa7966d81293bbad4840863a68886c52f107e
Author: W. Michael Petullo <mike@flyn.org>
Date:   Mon Mar 28 09:53:28 2011 -0500

    Fix crash in clients when thumbnail is missing; always create thumbnail array, even if 0-length
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit 26600ddb2f48bde1ea788bb970c4d9ed9714e34b
Author: W. Michael Petullo <mike@flyn.org>
Date:   Mon Mar 28 09:04:58 2011 -0500

    Move libdmapsharing3.spec back to libdmapsharing.spec
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit 6336ce08f5da6f480288fc5b8b2868317bf9a86f
Author: W. Michael Petullo <mike@flyn.org>
Date:   Mon Mar 28 08:55:11 2011 -0500

    Add warning if libsoup might not support IPv6
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit 7f8b84b924245ee3bfb26ff5255451f8c95acbd1
Author: W. Michael Petullo <mike@flyn.org>
Date:   Fri Mar 25 08:53:06 2011 -0500

    Add note about contribution of Mac OS X support to AUTHORS
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit e02dc3e58b1a9f956480acd604e7d1ee48d4803f
Author: W. Michael Petullo <mike@flyn.org>
Date:   Fri Mar 25 08:46:30 2011 -0500

    Remove completed item from TODO
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit 9d51868b2a91ead3ee276d10e8be201d92aea987
Author: W. Michael Petullo <mike@flyn.org>
Date:   Thu Mar 24 20:57:10 2011 -0500

    Integrate DNS-SD code into GLib event loop
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit 0c91d00495e0f2a5ffede53b784cc22e6208d3a5
Author: W. Michael Petullo <mike@flyn.org>
Date:   Wed Mar 23 21:25:21 2011 -0500

    Initial client-side DNS-SD work.
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit 2ff02e80d7602998c8e70502b9a84af512d41c4e
Author: W. Michael Petullo <mike@flyn.org>
Date:   Mon Mar 21 21:53:36 2011 -0500

    iPhoto does not like record ID 0; fix vala-dmap-db.vala
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit dacc8e551c6ebf18de849279c719fff454b14676
Author: W. Michael Petullo <mike@flyn.org>
Date:   Mon Mar 21 13:07:37 2011 -0500

    Bump version number
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit 0482af9c46127eda7f7bd4505308cd2c86df4f80
Author: W. Michael Petullo <mike@flyn.org>
Date:   Mon Mar 21 13:01:00 2011 -0500

    Add note about soup_client_context_get_host() on libsoup-2.33
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit f10325bfa0b72a5fb2b62fa02c61403f7b6c1eca
Author: W. Michael Petullo <mike@flyn.org>
Date:   Mon Mar 21 11:49:47 2011 -0500

    Clean up warning messages that libdmapsharing prints with it cannot share on IPv6 or IPv4
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit 67aa1eccc38750f0e9d789c9f3174caf2dce7118
Author: W. Michael Petullo <mike@flyn.org>
Date:   Sat Mar 19 19:59:07 2011 -0500

    Fix missing assignment to mb.share
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit cc2a5536ab68ecd5846c21857be801ce75a6ee47
Author: W. Michael Petullo <mike@flyn.org>
Date:   Sat Mar 19 19:22:51 2011 -0500

    Don't g_object_unref server unless != NULL
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit 8aefe3eeab3441109834cfde5f90b804614eb5d7
Author: W. Michael Petullo <mike@flyn.org>
Date:   Sat Mar 19 19:10:21 2011 -0500

    Start refactor of MLCL_Bits / share_bitwise_t so that share can be passed to add_entry_to_mlcl()
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit 5488edc5a2841fc07726970b65886c2eb038a257
Author: W. Michael Petullo <mike@flyn.org>
Date:   Sat Mar 19 18:13:16 2011 -0500

    Rearrange autogen.sh because autotools will complain if ChangeLog does not exist
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit 265541349a6345d5d0e66456dd34a22b4826d2c3
Author: W. Michael Petullo <mike@flyn.org>
Date:   Sat Mar 19 18:09:25 2011 -0500

    Move "struct MLCL_Bits" to dmap-share.h to prepare to refactor
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit f11a6ae3aa410043dc82d0fb2bc7a6a630c4faf9
Author: W. Michael Petullo <mike@flyn.org>
Date:   Sat Mar 19 16:39:55 2011 -0500

    Change warnings about missing metadata to debug statements
    
    See also https://bugzilla.gnome.org/show_bug.cgi?id=645210.
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit d974d5bc200b33369adc69154327b6e5c311dad1
Author: W. Michael Petullo <mike@flyn.org>
Date:   Fri Mar 18 20:01:13 2011 -0500

    Add warning that documentation's publish target is host specific; will clean later
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit cbdfd044ee5ef2acb2bdc0be79932e27d6e86171
Author: W. Michael Petullo <mike@flyn.org>
Date:   Sat Mar 5 12:07:27 2011 -0600

    Modify note about UTF-8 in TODO
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit fbbb4b0cfe9a46a0422877883c4b6296b08823d7
Author: W. Michael Petullo <mike@flyn.org>
Date:   Fri Mar 4 16:57:19 2011 -0600

    Rerun indent after terminating use of G_DEFINE_TYPE() with ;
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit 39e643417d459780e5acc4ad3568aa3ddc073a12
Author: W. Michael Petullo <mike@flyn.org>
Date:   Fri Mar 4 14:33:43 2011 -0600

    Big indent patch
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit e8c41928cfb521197f93aa556a1acb608c153d66
Author: W. Michael Petullo <mike@flyn.org>
Date:   Fri Mar 4 13:15:50 2011 -0600

    Remove inconsistent indent definitions from top of source files
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit 430c89f1499962b4a36c1496ab98855d359d1520
Author: W. Michael Petullo <mike@flyn.org>
Date:   Fri Mar 4 13:11:50 2011 -0600

    Add notes about indent to coding standards documentation
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit 10bbaefc35a5dba5f2ec51c4e15de2026d521340
Author: W. Michael Petullo <mike@flyn.org>
Date:   Fri Mar 4 11:57:09 2011 -0600

    Fix heading in coding standards documentation
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit 7f800d9026b3abe49bc17bff4de5a7f2a7f907eb
Author: W. Michael Petullo <mike@flyn.org>
Date:   Fri Mar 4 11:55:10 2011 -0600

    Add coding standards to documentation
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit 45f0ac3f69b48adbdfecc96eb11a2ccbe5e5e939
Author: W. Michael Petullo <mike@flyn.org>
Date:   Fri Mar 4 10:59:32 2011 -0600

    Clean up internal documentation headings
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit 1a9c42dcdd9f5aaecdc62705d78092c723503944
Author: W. Michael Petullo <mike@flyn.org>
Date:   Fri Mar 4 10:27:09 2011 -0600

    Fix API documentation links to CSS and logo
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit 339d89f90e6dfd7a30dd64934821f2de1bebca70
Author: W. Michael Petullo <mike@flyn.org>
Date:   Fri Mar 4 10:08:16 2011 -0600

    Remove ChangeLog from Git because it is now generated by autogen.sh
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit 6c32f8e693692a687ed836fb4e697fe2b8420272
Author: W. Michael Petullo <mike@flyn.org>
Date:   Fri Mar 4 10:07:31 2011 -0600

    Work on documentation; make match flyn.org
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit cdd875cbeac45c071aeccaff5d07b8f6ede78a00
Author: W. Michael Petullo <mike@flyn.org>
Date:   Fri Mar 4 08:53:10 2011 -0600

    Add libdmapsharing-3.0-docs.sgml
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit 58e89e1ab4816ce4d0b9683b144837fc24007d68
Author: W. Michael Petullo <mike@flyn.org>
Date:   Sun Feb 27 12:29:16 2011 -0600

    Update TODO
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit e7b624b9d0f21f1322fd5a6a3cc61a3875cb9679
Author: W. Michael Petullo <mike@flyn.org>
Date:   Sun Feb 27 11:16:18 2011 -0600

    Generate ChangeLog from Git and legacy ChangeLog contents
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit 632e30eb0b32bd333e0eea8444cb53c219d7007c
Author: W. Michael Petullo <mike@flyn.org>
Date:   Mon Feb 7 20:45:44 2011 -0600

    Bump version number
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit 0593b6e14382245e6648eec81ce5d5949f66f4db
Author: W. Michael Petullo <mike@flyn.org>
Date:   Mon Feb 7 20:45:17 2011 -0600

    Don't try to build Vala test programs without libgee
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit c10c55197a6c94fb20c264e6b45d3159985fd4da
Author: W. Michael Petullo <mike@flyn.org>
Date:   Mon Feb 7 20:05:41 2011 -0600

    Bump version number
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit 669acd9851c087648e2ff76393fb678c34bf7e34
Author: W. Michael Petullo <mike@flyn.org>
Date:   Fri Feb 4 09:19:30 2011 -0600

    Get rid of some memory leaks identified by valgrind
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit e0ebbf561438c9dd72f748edcece425814a4d2f2
Author: W. Michael Petullo <mike@flyn.org>
Date:   Thu Feb 3 21:51:05 2011 -0600

    Fix memory leak in DMAPStructure
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit 404dd5e13fd45a1741f671d700205c786ae80e0e
Author: W. Michael Petullo <mike@flyn.org>
Date:   Thu Feb 3 21:23:28 2011 -0600

    More work to properly free DMAPConnection objects
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit 82ec10d28b1ce68f5142c66a16e345da5b02e877
Author: W. Michael Petullo <mike@flyn.org>
Date:   Thu Feb 3 17:41:53 2011 -0600

    Do a better job finalizing DMAPConnection objects
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit 28c58196902fa4d4395cc45491f5920cc58b9be4
Author: W. Michael Petullo <mike@flyn.org>
Date:   Tue Feb 1 08:30:51 2011 -0600

    Update TODO
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit f6edcad028757eccb79f42a4c42d27cd0cad6530
Author: W. Michael Petullo <mike@flyn.org>
Date:   Mon Jan 31 22:34:19 2011 -0600

    In .pc file, do not require GStreamer if libgstapp not available at ./configure time
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit d2e58dac979c9d10ce3bea118b2c821f6acdb514
Author: W. Michael Petullo <mike@flyn.org>
Date:   Fri Jan 28 16:17:52 2011 -0600

    Fix second segfault in test-dmap-server
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit cd9715910023543668be0ba42172720cc3ef124f
Author: W. Michael Petullo <mike@flyn.org>
Date:   Fri Jan 28 16:08:31 2011 -0600

    Fix segfault in test-dmap-server; there still seems to be another
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit f43648f8084df166df85e048c17879288e7c92bf
Author: W. Michael Petullo <mike@flyn.org>
Date:   Thu Jan 27 22:50:01 2011 -0600

    Move some things around so that the library is useful without GStreamer; needs more work
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit a04d7c3526774cfc03d5e3e334e0ce570d4206c0
Author: W. Michael Petullo <mike@flyn.org>
Date:   Thu Jan 27 08:48:01 2011 -0600

    Update .gitignore
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit a7106bb543a575b22e4ac12948bb731e4e08209b
Author: W. Michael Petullo <mike@flyn.org>
Date:   Thu Jan 27 08:44:38 2011 -0600

    More work so that Vala-generated C code will compile without Vala
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit 680eb8473e17707be3a6140c2b11593628225705
Author: W. Michael Petullo <mike@flyn.org>
Date:   Thu Jan 27 08:29:34 2011 -0600

    Add C files that are generated by Vala to Git for now
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit 6476b33e905f34bd008d37b46e510bfb7194a598
Author: W. Michael Petullo <mike@flyn.org>
Date:   Wed Jan 26 21:43:03 2011 -0600

    Add Noah to AUTHORS
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit e2cfbda41131f2be74a6845e8a9a0e68b44ab737
Author: W. Michael Petullo <mike@flyn.org>
Date:   Mon Jan 24 21:02:00 2011 -0600

    Don't delete .pc file on make clean
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit b194ce2baab01847fb5f7084d964061190cbeb38
Author: W. Michael Petullo <mike@flyn.org>
Date:   Mon Jan 24 16:50:57 2011 -0600

    Use GByteArray for DPAP thumbnail to couple thumbnail size with data
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit 9d40c0fd4325bf99d7f8ed1dd95279d3160c243f
Author: W. Michael Petullo <mike@flyn.org>
Date:   Thu Jan 20 22:17:46 2011 -0600

    Require newer Vala compiler
    
    See also https://bugzilla.gnome.org/show_bug.cgi?id=638797.
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit 193d684c84c529e05448b7734934a9999053db61
Author: W. Michael Petullo <mike@flyn.org>
Date:   Thu Jan 20 18:25:23 2011 -0600

    Add vala/libdmapsharing-3.0.vapi to Git
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit cd0d31de642818a8b0bd11a41c762a83d2b54a63
Author: W. Michael Petullo <mike@flyn.org>
Date:   Thu Jan 20 18:20:19 2011 -0600

    Bump version number
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit 2d99dc7362a64db929e0bf6fd91d04db3cef46b1
Author: W. Michael Petullo <mike@flyn.org>
Date:   Thu Jan 20 17:35:49 2011 -0600

    Only build libdmapsharing-*.vapi in maintainer mode; include in dist tarball
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit 05dbb370f72bde8aa7e34747d2b4ee9266672ae5
Author: W. Michael Petullo <mike@flyn.org>
Date:   Thu Jan 20 08:49:32 2011 -0600

    Reorder build and generate libdmapsharing-API.pc at build time
    
    See also https://bugzilla.gnome.org/show_bug.cgi?id=640058.
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit f4cf887a5472c1310928a5e9551b90ea343e87e3
Author: W. Michael Petullo <mike@flyn.org>
Date:   Wed Jan 19 19:53:45 2011 -0600

    Add DACPConnection class
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit afa59db0307ed0369393e95eca3f05ee18889da2
Author: W. Michael Petullo <mike@flyn.org>
Date:   Wed Jan 19 19:32:08 2011 -0600

    Do not use == with test in configure.ac; not POSIX
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit c354a05d529b17b8bb9341ecbd6c12014e012aec
Author: W. Michael Petullo <mike@flyn.org>
Date:   Tue Jan 18 20:06:56 2011 -0600

    Bump version number
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit 1699767e8512af9faac7f4183180337ef8e94f3f
Author: W. Michael Petullo <mike@flyn.org>
Date:   Tue Jan 18 20:05:10 2011 -0600

    Fixes related to porting Rhythmbox to API 3
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit 910b4f972d6a6e70a75e699cc96aee2893376f17
Author: W. Michael Petullo <mike@flyn.org>
Date:   Sat Jan 15 20:40:30 2011 -0600

    Add missing Vala source
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit 864b25762bf099f74d14c57ec16942703b462f81
Author: W. Michael Petullo <mike@flyn.org>
Date:   Sat Jan 15 20:34:46 2011 -0600

    Bump version number
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit 8f9d7c281bbcc3543302b8584bc84fb2ae07160e
Author: W. Michael Petullo <mike@flyn.org>
Date:   Fri Jan 14 20:25:46 2011 -0600

    Fix return value of dacp_player_now_playing_artwork to satisfy Vala
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit e58e363207957273554589c7e7edac191eea3456
Author: W. Michael Petullo <mike@flyn.org>
Date:   Sat Jan 8 17:44:56 2011 -0600

    Add note about intention to unify IPv4 and IPv6 once libsoup supports this
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit f9d0b728c35644f8f120bc4baa298610b3e9a2af
Author: W. Michael Petullo <mike@flyn.org>
Date:   Fri Jan 7 10:52:55 2011 -0600

    Work on Vala code, including adding requirement for GObject to DMAPDb, ContainerDb, Record and DACPPlayer interfaces
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit 07b3a22a7b1c5b5e167364ac2406c7c4edc8e3b3
Author: W. Michael Petullo <mike@flyn.org>
Date:   Thu Jan 6 21:27:22 2011 -0600

    Work on Vala code, including start of dacplisten test application
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit 03eef01e25b44c49b5431cedd5899026b071d121
Author: W. Michael Petullo <mike@flyn.org>
Date:   Thu Jan 6 00:13:34 2011 -0600

    DMAPShare objects now have two SoupServers: one with an IPv4 socket and one with an IPv6 socket
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit d3851be9adecaa39a256b53d0f6695f726e277df
Author: W. Michael Petullo <mike@flyn.org>
Date:   Tue Jan 4 11:22:53 2011 -0600

    Fix Vala API generation for libdmapsharing-3.0
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit 3b32c4360cd46b3f4653306c3e9a1522b249121b
Author: W. Michael Petullo <mike@flyn.org>
Date:   Tue Jan 4 11:22:21 2011 -0600

    Attempt to serve on IPv6
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit 0a9bf02db5b6d6debf30674c9bbba2e3392e8f75
Author: W. Michael Petullo <mike@flyn.org>
Date:   Mon Jan 3 17:11:34 2011 -0600

    Fix pixel-height and pixel-width
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit 2ce9c41194e14b4e0f569c537b144bd389dfd7a1
Author: W. Michael Petullo <mike@flyn.org>
Date:   Sun Jan 2 14:36:48 2011 -0600

    Print warning on AVAHI_RESOLVER_FAILURE
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit 6fd86ceb6c359770f7b348e281b0d2e2dcc516b1
Author: W. Michael Petullo <mike@flyn.org>
Date:   Thu Dec 23 12:21:26 2010 -0600

    Continue DMAPGst.* related work
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit c3adf7ce1bc91cf9c5c718c7ab5f59777f0e820d
Author: W. Michael Petullo <mike@flyn.org>
Date:   Thu Dec 23 11:38:12 2010 -0600

    Move g-gst* to dmap-gst* and make DMAPGstInputStream public
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit 59782ef83066d19398d73e778403498ad958e058
Author: W. Michael Petullo <mike@flyn.org>
Date:   Wed Dec 22 22:13:08 2010 -0600

    .*_connection_new now takes a guint port instead of an int port
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit 384ff08bc5ac322a6b7b29c652f5efce8f97b086
Author: W. Michael Petullo <mike@flyn.org>
Date:   Wed Dec 22 21:43:07 2010 -0600

    Get dpapview and dmapserve to work nicely together
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit 295dd71fb8043c9877c92ea88bc283b8015fbae1
Author: W. Michael Petullo <mike@flyn.org>
Date:   Wed Dec 22 13:37:51 2010 -0600

    Fixes required by Vala API work; migrate Vala API file to 3.0 API
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit 4b641b84cf0c28794d96b1c05b1562643a640245
Author: W. Michael Petullo <mike@flyn.org>
Date:   Wed Dec 22 11:02:44 2010 -0600

    Work on dmapserve.vala and related changes to libdmapsharing
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit 23815d008e90e48cd03b2a56efa874a4a012b3ab
Author: W. Michael Petullo <mike@flyn.org>
Date:   Tue Dec 21 17:31:13 2010 -0600

    Don't transcode if format already correct; Vala-related changes
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit b9cbca7748029a71e64b97c2a891e98e8639ad09
Author: W. Michael Petullo <mike@flyn.org>
Date:   Sun Dec 19 22:02:13 2010 -0600

    Fix build of docs (3.0) and update RPM specification
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit 370233f7e46b0c577e68dcadd5d6c50a93adbaa6
Author: W. Michael Petullo <mike@flyn.org>
Date:   Sun Dec 19 21:48:57 2010 -0600

    Bump version and bump API to 3.0
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit 7fb552fa98de33f8f98f15b4c71308a7adb581a9
Author: W. Michael Petullo <mike@flyn.org>
Date:   Sun Dec 19 21:30:31 2010 -0600

    Install dmap-structure.h, needed by dmap-connection.h
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit 19d309a7f752d3b71c954a65810b7b6f5a824fb6
Author: W. Michael Petullo <mike@flyn.org>
Date:   Sun Dec 19 20:12:43 2010 -0600

    Remove libdmapsharing-2.2.vapi from toplevel Makefile.am -- now in vala/
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit e588e9bf7decc746838f6dd97ef200ddeb2c7aa5
Author: W. Michael Petullo <mike@flyn.org>
Date:   Wed Dec 15 21:48:35 2010 -0600

    Start automating some fixes for Vala API generation idiosyncrasies with respect to multiple namespaces
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit 4e8bb573bb92aaf5b94d6e355b1234127e3f0692
Author: W. Michael Petullo <mike@flyn.org>
Date:   Wed Dec 15 21:47:53 2010 -0600

    Change DmapMdnsPub... to DMAPMdnsPub...
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit 9f72ed7975ee27bf03d9e25247f4ce437d62b538
Author: W. Michael Petullo <mike@flyn.org>
Date:   Wed Dec 15 17:03:52 2010 -0600

    Build changes to ensure Vala is optional
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit 3bd4fcb61294d7c76f62c243f0af6cc53a2a17b3
Author: W. Michael Petullo <mike@flyn.org>
Date:   Wed Dec 15 16:48:22 2010 -0600

    Fixes required by Vala API work
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit a527264f36dbdd9eed474d10cba2265feb7c51de
Author: W. Michael Petullo <mike@flyn.org>
Date:   Wed Dec 15 16:38:38 2010 -0600

    Add dmap-utils.c
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit dedb004d04fae2633fb9b721c2e8fb0a1ac5efd9
Author: W. Michael Petullo <mike@flyn.org>
Date:   Wed Dec 15 16:34:00 2010 -0600

    Vala API work
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit eae155a6286124c707a0d018324e361812e6cf24
Author: W. Michael Petullo <mike@flyn.org>
Date:   Wed Dec 15 11:25:57 2010 -0600

    Start breaking Vala API into multiple namespaces, based on anjuta-vala (thanks Abderrahim)
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit da4d48a78842aa848c0377e4577b6c970baead4b
Author: W. Michael Petullo <mike@flyn.org>
Date:   Tue Dec 14 10:07:16 2010 -0600

    Implement databases_items_xxx in DPAPShare
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit fa3f91f9e8f8f17346a997cfbb781738b35f6816
Author: W. Michael Petullo <mike@flyn.org>
Date:   Mon Dec 13 22:31:58 2010 -0600

    Add vala/Makefile.am
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit a5f25fcfde7217092e1394fa17f7a0950c65454c
Author: W. Michael Petullo <mike@flyn.org>
Date:   Mon Dec 13 22:09:20 2010 -0600

    Add capability to build Vala API file
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit d685b3c1aa3b7eaf0318530bebbe61f27dc8ad19
Author: W. Michael Petullo <mike@flyn.org>
Date:   Sat Dec 11 17:01:50 2010 -0600

    Don't make GTK a hard dependency just because of dpapview
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit 02215cff6a67c4efa0eeb4bea0f883629cfc477e
Author: W. Michael Petullo <mike@flyn.org>
Date:   Fri Dec 10 22:44:26 2010 -0600

    Add dpapview.ui to EXTRA_DIST
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit 0e7b8dffaebdab601732fb8ab9173d105f49560d
Author: W. Michael Petullo <mike@flyn.org>
Date:   Fri Dec 10 11:55:15 2010 -0600

    Implement DAAPConnection and DPAPConnection, add test program written in Vala
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit fbb71fd2323acd1d6752ba3743b1bad1468327e3
Author: W. Michael Petullo <mike@flyn.org>
Date:   Thu Dec 9 08:36:00 2010 -0600

    Vala-related clean up: DAAPRecord
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit 4d34871f2b2d2ac906e1b1d76de05d079bacb87c
Author: W. Michael Petullo <mike@flyn.org>
Date:   Wed Dec 8 22:06:05 2010 -0600

    Vala-related clean up: DMAPRecord, DMAPDb & DMAPRecordFactory
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit e5fae437f3dddd7e1e4b8d3b4a0c34d29062b885
Author: W. Michael Petullo <mike@flyn.org>
Date:   Wed Dec 8 17:25:50 2010 -0600

    Start Vala-related clean up
    
    Libdmapsharing seems to have diverged from some expected naming
    conventions and this is affecting the use of libdmapsharing from Vala
    code. Rename DPAPRecordInterface and TYPE_DPAP_RECORD to make Vala
    happy. This work will continue as I attempt to make use of more of
    libdmapsharing from Vala code.
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit d1cc9273c1f97c0c432cf4ccf05761ffb157cfe9
Author: W. Michael Petullo <mike@flyn.org>
Date:   Wed Dec 8 15:43:01 2010 -0600

    Remove dpap_record_to_blob and _new_from_blob (were left over from pre-DMAPRecord merge)
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit 10e2d6f23078e16733df1799bb1867781f96183b
Author: W. Michael Petullo <mike@flyn.org>
Date:   Tue Dec 7 19:24:35 2010 -0600

    Remove debug statement from dacp_player_init/finalize that was giving vala-gen-introspect trouble
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit 7280a94342b83aa29f4002c55050f5f8860c6b8c
Author: W. Michael Petullo <mike@flyn.org>
Date:   Sun Nov 28 18:12:57 2010 -0600

    Bump version number
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit fb9f9ab7eda6d340aa61b13a3c76a9ba93668d65
Author: W. Michael Petullo <mike@flyn.org>
Date:   Thu Nov 25 23:33:23 2010 -0600

    Add comment to code describing previous commit
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit e433bafb15bcf0c162a6d552f61dc03dee8a50ea
Author: W. Michael Petullo <mike@flyn.org>
Date:   Thu Nov 25 23:30:29 2010 -0600

    Don't error out when media filename includes %20, etc
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit fcfcfbaeeb657a997eee4dfc63ecfaa9f5404c10
Author: W. Michael Petullo <mike@flyn.org>
Date:   Thu Nov 25 21:10:46 2010 -0600

    Accumulate all MLCL-related data in one shot when responding to "1/items"
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit fbe7efa73bf9d2da657fc1761bf42884b5faee48
Author: W. Michael Petullo <mike@flyn.org>
Date:   Tue Nov 23 10:59:45 2010 -0600

    Bump version number
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit 84462a25fcabb96d0ce013b57f01cb05af09cd6a
Author: W. Michael Petullo <mike@flyn.org>
Date:   Mon Nov 22 23:32:26 2010 -0600

    Fix bug that caused two MLIT's to be sent when responding to "/1/items"
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit 7891bcd969e5f5a5de640b30eff7425c384df89d
Author: W. Michael Petullo <mike@flyn.org>
Date:   Sun Nov 21 20:31:55 2010 -0600

    Extend new low-memory "/1/items" handler; use when query filter is requested
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit 6010cac298b18bffcb42fd273a6a9be3c7082506
Author: W. Michael Petullo <mike@flyn.org>
Date:   Sat Nov 20 01:00:45 2010 -0600

    Fix Content-Type, based on iTunes', and corrupt DPAP thumb. in dmapd+DmapdDMAPDbDisk
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit 03b72850af05337be8a6c9031a25758411ad95e1
Author: W. Michael Petullo <mike@flyn.org>
Date:   Thu Nov 18 22:55:26 2010 -0600

    Bump version number
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit a18fe932f10342f913a162140f449e0172acf1a5
Author: W. Michael Petullo <mike@flyn.org>
Date:   Thu Nov 18 22:47:16 2010 -0600

    Don't set Connection: Close header in response to /databases/1/items (iTunes)
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit 2f90c702cffba419e586e294630c78c4e1b03b8b
Author: W. Michael Petullo <mike@flyn.org>
Date:   Thu Nov 18 10:44:31 2010 -0600

    Bump version number
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit 84dee699de91cb051774c9e9481f1af280ea41ea
Author: W. Michael Petullo <mike@flyn.org>
Date:   Thu Nov 18 10:29:14 2010 -0600

    Clean up code following previous Content-Length fix
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit 7375c90cedda2a81873b10d09922115b4121ce12
Author: W. Michael Petullo <mike@flyn.org>
Date:   Thu Nov 18 09:18:21 2010 -0600

    Fix problem sharing to iTunes due to incorrect Content-Length
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit edbd2c105912af028e8b694ffeb84c999d77bec1
Author: W. Michael Petullo <mike@flyn.org>
Date:   Thu Nov 11 14:24:11 2010 -0600

    Bump version number
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit 3293e00565000064e3a9686224e91bf4f9334f81
Author: W. Michael Petullo <mike@flyn.org>
Date:   Wed Nov 10 20:26:31 2010 -0600

    Fix use of libsoup's "wrote_chunk" signal
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit 717cc18e81bf7fda5aaad9f6cecfafe7d43e6bf9
Author: W. Michael Petullo <mike@flyn.org>
Date:   Mon Nov 8 19:54:58 2010 -0600

    Change dmap_structure_set_predicted_size to dmap_structure_increase_by_predicted_size
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit 6b59d1671be1463532b2aa34a47d2d6e315f72b9
Author: W. Michael Petullo <mike@flyn.org>
Date:   Mon Nov 8 18:14:56 2010 -0600

    Significant work on reducing memory usage while building "/1/items" response
    
    We previously simply called foreach...add_entry_to_mlcl and later
    serialized the entire structure. This has the disadvantage that the entire
    response must be in memory before libsoup sends it to the client. Now,
    we transmit portions at a time.
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit 4b5e62e176ea109e55389084574144807264386e
Author: W. Michael Petullo <mike@flyn.org>
Date:   Sun Nov 7 11:52:55 2010 -0600

    Add some items to TODO
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit e70acf9207850cc970c919f55a35a6af37239769
Author: W. Michael Petullo <mike@flyn.org>
Date:   Sun Oct 31 13:46:39 2010 -0500

    Bump version number
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit d8e65cec60fc3567080b1fb89d7aec76ba5a479f
Author: W. Michael Petullo <mike@flyn.org>
Date:   Sun Oct 24 22:33:16 2010 -0500

    Add "use yacc" to TODO
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit 9db0e06dbdb57710b63cc1705c771568a1d2e219
Author: W. Michael Petullo <mike@flyn.org>
Date:   Sun Oct 24 22:30:33 2010 -0500

    For now, set status to SOUP_STATUS_NOT_FOUND on .../extra_data/artwork request
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit 4d448a7dfc049e9695aa580319c73c26411b799a
Author: W. Michael Petullo <mike@flyn.org>
Date:   Sun Oct 24 21:39:44 2010 -0500

    Fix _dmap_share_build_filter to support commas in values
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit f1052fb0290e4c08410221bd2a1f38b890d41ca9
Author: W. Michael Petullo <mike@flyn.org>
Date:   Sat Oct 23 18:58:01 2010 -0500

    Warning if libsoup < 2.32
    
    Provide a configuration-time warning if libsoup < 2.32; this is required
    to interact with Apple Remote App.
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit 67a62ab3d8e208c5c67523b0c9560e85b104b5f8
Author: W. Michael Petullo <mike@flyn.org>
Date:   Thu Oct 21 20:05:26 2010 -0500

    Advertise support for dmap.supportsupdate for Apple Remote v2.0.1 (229)
    
    Advertise support for dmap.supportsupdate even though we don't support
    it. This should fix DACP interaction with Apple Remote v2.0.1 (229). Add
    real support for dmap.supportsupdate to TODO.
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit d785b0a81a1576341dc3f100d49e3115b8ba32ec
Author: W. Michael Petullo <mike@flyn.org>
Date:   Mon Oct 18 15:41:44 2010 -0500

    Fix use of g_list_sort.* by _dmap_share_databases and dacp_share_ctrl_int
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit 6a151b4f28cb128f62c58183f716af4fd732e218
Author: W. Michael Petullo <mike@flyn.org>
Date:   Sun Oct 17 11:25:35 2010 -0500

    Initialize attributes to NULL/0 in add_entry_to_mlcl
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit 6835bd866648debb6ed50b62f4137e6ad73455dc
Author: W. Michael Petullo <mike@flyn.org>
Date:   Sat Oct 16 12:24:45 2010 -0500

    Bump version number
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit e6b09029e855bc169b014ac56e701504be25661a
Author: W. Michael Petullo <mike@flyn.org>
Date:   Sat Oct 16 12:20:11 2010 -0500

    Check if object attributes are NULL in add_entry_to_mlcl
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit 1c2e473a35f67faf678c59a3523560779b65421a
Author: W. Michael Petullo <mike@flyn.org>
Date:   Sat Oct 16 00:19:05 2010 -0500

    Add terminating record to meta_data_map in dpap-share.c
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit 5af54d5eba271be70493ba4448a37b4c7c64dc86
Author: W. Michael Petullo <mike@flyn.org>
Date:   Tue Oct 12 22:15:36 2010 -0500

    Add .gitignore, add media/another-test.mp3 and update TODO
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit 08691c575d5ada94b3b63eb26e251da6a1bdd712
Author: W. Michael Petullo <mike@flyn.org>
Date:   Fri Oct 1 17:15:52 2010 -0500

    Update ChangeLog
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit acfc424b66ddb89c48f034194a6887a861915a58
Author: W. Michael Petullo <mike@flyn.org>
Date:   Fri Oct 1 17:13:43 2010 -0500

    Bump version number
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit 7cdf5a5d14c4ea40296e656a9d3c82bb3b27f8f3
Author: W. Michael Petullo <mike@flyn.org>
Date:   Fri Oct 1 17:11:57 2010 -0500

    Fix missed "daap.songX" to "songX" change
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit 4c2a94730b15747f089ec6727909470cd20d5fdd
Author: W. Michael Petullo <mike@flyn.org>
Date:   Fri Oct 1 16:11:51 2010 -0500

    Add some notes to TODO
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit f8923d2749341533c80d058fb1b62fef0d3bcbd4
Author: W. Michael Petullo <mike@flyn.org>
Date:   Fri Oct 1 15:53:05 2010 -0500

    Small changes after reviewing code
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit e37b7159b62bcc1ec7c728ad53400a37173eb909
Author: W. Michael Petullo <mike@flyn.org>
Date:   Fri Oct 1 13:26:42 2010 -0500

    Check for LIBDMAPSHARING_ENABLE_LOCAL to facilitate one-host debugging
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit b13fa6b552b0fdb6debaef670bd3d1b650e5bd9c
Author: W. Michael Petullo <mike@flyn.org>
Date:   Fri Oct 1 11:11:27 2010 -0500

    Add "aeFP" content code
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit b5fd13cd9b3d2f6ec298201ef5f461ad5696a1f0
Author: W. Michael Petullo <mike@flyn.org>
Date:   Wed Sep 29 13:29:55 2010 -0500

    Bump version number
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit 9673c3ab89cbf059ed22a99fe6893e3437f3c950
Author: W. Michael Petullo <mike@flyn.org>
Date:   Wed Sep 29 13:26:51 2010 -0500

    Fix some bugs related to the recent DmapMdnsPublisher singleton change
    
    There were some mistakes left over from the DmapMdnsPublisher singleton
    change that were identified while working on Rhythmbox. Rhythmbox woud
    crash when a user enabled, disabled and then enabled the DAAP plugin.
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit 8e91dcd8c9a2f82b2f73884e357926bf4cf5aef7
Author: W. Michael Petullo <mike@flyn.org>
Date:   Sun Sep 26 21:51:36 2010 -0500

    Increase version number
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit 4d9bd622f156e06030ace9d45f490543ea698b3b
Author: W. Michael Petullo <mike@flyn.org>
Date:   Sun Sep 26 19:03:41 2010 -0500

    Resynchronize order of DMAPContentCode and DMAPContentCodeDefinition definitions
    
    The definitions of DMAPContentCode and DMAPContentCodeDefinition had
    gotten out of sync. This was causing a crash when serving DPAP because
    libdmapsharing was treating a particular version number content code as
    a string.
    
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit f81c05988f95a09818ca566b6009218e9f3ece97
Author: W. Michael Petullo <mike@flyn.org>
Date:   Sun Sep 26 18:51:59 2010 -0500

    Bump version number.
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit 7473ac298c30d71213b2c73231faac5fccc176e7
Author: W. Michael Petullo <mike@flyn.org>
Date:   Sat Sep 11 22:24:56 2010 -0500

    Fix gint vs. guint / atoi vs. strtoul issues
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit e374a2e40931ea92b4ac066fc3c76669165db170
Author: W. Michael Petullo <mike@flyn.org>
Date:   Thu Sep 9 21:50:44 2010 -0500

    Apply new mDNS technique to dmap-mdns-publisher-dnssd.c
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit 78322364687a74d1eeba25791c5151a96053fd01
Author: W. Michael Petullo <mike@flyn.org>
Date:   Thu Sep 9 17:55:58 2010 -0500

    Implement fine-grained service withdrawl
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit 7071bbd5ea813f0a74b40193fc8ff2953491f5aa
Author: W. Michael Petullo <mike@flyn.org>
Date:   Thu Sep 9 13:57:00 2010 -0500

    Allow two DMAP sub-protocols (e.g., DAAP and DPAP) in one process
    
    DmapMdnsPublisher is now a singleton class that stores a running list
    of services. This ensures that one DMAP sub-protocol does not unpublish
    another when avahi_entry_group_reset() is called.
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit 5ea1402768195750dd5a8a4dbf0929ad15dee425
Author: W. Michael Petullo <mike@flyn.org>
Date:   Tue Sep 7 23:30:32 2010 -0500

    Allow dmap-mdns-*-dnssd.c to compile
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit 326e265b26fcaf603cd7a700d7ebe20c0bf5389f
Author: W. Michael Petullo <mike@flyn.org>
Date:   Tue Sep 7 09:22:02 2010 -0500

    Update TODO
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit df8ba413163ad6b8c059f1b1316465640f112ba2
Author: W. Michael Petullo <mike@flyn.org>
Date:   Tue Sep 7 08:51:33 2010 -0500

    Begin adding DMAPMediaKind enum
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit 9b25eb947465e9395314121efa03b196ec6ac910
Author: W. Michael Petullo <mike@flyn.org>
Date:   Mon Sep 6 21:37:01 2010 -0500

    Bump version number and update ChangeLog
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit a75f07717a787ea80ed1f41243713c058232490c
Author: W. Michael Petullo <mike@flyn.org>
Date:   Mon Sep 6 21:31:59 2010 -0500

    Fix serving to iTunes 10
    
    iTunes 10 is more picky about com.apple.itunes.mediakind. If it is
    requested, it must be present in response. This patch fixes serving to
    iTunes 10.
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit 853af1eea37a1927ef834e277e0ab7f0419b848e
Author: W. Michael Petullo <mike@flyn.org>
Date:   Mon Sep 6 19:17:13 2010 -0500

    Parse metadata on GET /databases/1/containers
    
    While trying to figure out why iTunes 10 does not work with
    libdmapsharing, I noticed that libdmapsharing did not parse metadata
    on a "GET /databases/1/containers" request (the metadata provided by
    the response was hard coded). Because of this, libdmapsharing could
    not identify unsupported metadata. Libdmapsharing now parses metadata
    received from these requests.
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit 7f0fbc2a65d371bd259103b61475776268005dd8
Author: W. Michael Petullo <mike@flyn.org>
Date:   Mon Sep 6 18:38:33 2010 -0500

    Debug message when request asks for metadata type that is not known
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit 2ae05d954043ae89d5206d0cb3a1e47de9f19b04
Author: W. Michael Petullo <mike@flyn.org>
Date:   Fri Sep 3 21:49:33 2010 -0500

    Fix license on test-dmap-client.c after receiving confirmation from Andre
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit fea241840fbf29914414ea8d5b5f42025e3863a0
Author: W. Michael Petullo <mike@flyn.org>
Date:   Fri Sep 3 16:06:34 2010 -0500

    Add Alexandre's comments about the GPL notice in dacp-player.[ch]
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit caa6120f96c9abd6cc8bf54136f8dcc8e2506f6e
Author: W. Michael Petullo <mike@flyn.org>
Date:   Fri Sep 3 15:58:04 2010 -0500

    Add Alexandre to AUTHORS file
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit c8d9bab0a0974c3206223ea9a8ece9592d923cf1
Author: W. Michael Petullo <mike@flyn.org>
Date:   Fri Sep 3 15:54:25 2010 -0500

    Fix license on dacp-player.[ch] after receiving confirmation from Alexandre
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit d9f9f5fa08160524bd62e31ed99b4d4dcb8e22f3
Author: W. Michael Petullo <mike@flyn.org>
Date:   Fri Sep 3 13:00:24 2010 -0500

    Update ChangeLog and TODO.
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit 008b64e6e43890c92085f0988adda782fe004825
Author: W. Michael Petullo <mike@flyn.org>
Date:   Fri Sep 3 12:54:11 2010 -0500

    Re-license some files as LGPL
    
    I had accidentally placed GPL headers on some of the source files for
    which I maintain the copyright. I have replaced these with LGPL headers.
    Alexandre Rosenfeld mistakenly (I assume) licensed dacp-player.[ch] as
    GPL. I will have to confirm that it is okay to change these with him.
    Andre Moreira Magalhaes' test-dmap-client and test-dmap-server are also
    GPL. These files are not as much of an issue, but I plan to contact him
    and ask if LGPL is okay so that all source files are consistent.
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit e78da283ee868dd9c290e6fc0f31bcea5591f66c
Author: W. Michael Petullo <mike@flyn.org>
Date:   Mon Aug 23 12:37:10 2010 -0500

    Set library versioning to match release version
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit 2d354fbb6656791c9ab5c5ec68d6c77fa02ef281
Author: W. Michael Petullo <mike@flyn.org>
Date:   Sun Aug 22 23:04:51 2010 -0500

    Some cleaning of the add_entry_to_mlcl functions to make them more consistent
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit 9d464ffbecc9354d1d1061f3c169884b401f9c51
Author: W. Michael Petullo <mike@flyn.org>
Date:   Sun Aug 22 22:45:04 2010 -0500

    Error out in dpap-share.c if an image file can not be mmap'ed
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit 82ed682febae1a314501a140e0d5106c09b12fee
Author: W. Michael Petullo <mike@flyn.org>
Date:   Sun Aug 22 21:38:58 2010 -0500

    Fix error in apply_filter
    
    Fix an error in apply_filter that caused the function to improperly handle
    something like "('dmap.itemid:x','dmap.itemid:y')"
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit 2c1dfb2b2f6bb3f4591e1b7190d9fa22690abf3b
Author: W. Michael Petullo <mike@flyn.org>
Date:   Fri Aug 20 23:36:05 2010 -0500

    Back out Alexandre's addition of itemid property from DAAPRecord
    
    Alexandre's code worked, but this is a little less intrusive. The real
    answer might involve some deeper work later.
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit d2ef353f013449a680b7c385a3913131706b43bb
Author: W. Michael Petullo <mike@flyn.org>
Date:   Fri Aug 20 10:12:15 2010 -0500

    Apply Alexandre Rosenfeld's DACP patch from Google Summer of Code 2010
    
    Add DACP support. This allows an application such as Rhythmbox to be
    controlled using a remote control application on an iPhone, iPod Touch,
    iPad or other similar device. The DACP code is not yet complete, but
    progress warrants commiting it to the development tree and focusing
    future work on specific patches.
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit 979aa2d2f2b1635c355381a1abd6ba1fb0c642f1
Author: W. Michael Petullo <mike@flyn.org>
Date:   Thu Jul 29 16:04:30 2010 -0500

    Remove Connection and User-Agent from headers: dmap_connection_get_headers()
    
    Connection and User-Agent are added by GStreamer's SOUP source and perhaps
    other libraries. This change allows libdmapsharing to play nicely. See
    also https://bugzilla.gnome.org/show_bug.cgi?id=620070
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit 25b902c4bd2a7921d5b24ec05bf54f2db3a32b08
Author: W. Michael Petullo <mike@flyn.org>
Date:   Thu Jul 22 11:39:22 2010 -0500

    Remove redundant code
    
    Remove redundancy between dmap_connection_build_message() and
    dmap_connection_build_message().
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit 2fee75565288c77539d135abedc38a970d5d4f13
Author: W. Michael Petullo <mike@flyn.org>
Date:   Fri Jul 16 12:17:10 2010 -0500

    Release 2.0.0
    
    The libdmapsharing patch has been accepted into Rhythmbox, so it is time
    to release libdmapsharing 2.0.0. 2.1 will be a development series, and
    I hope to include DACP support in the forthcoming stable 2.2.
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit 475c5cc6ace706c9e3367825e643fb2a15a528bd
Author: W. Michael Petullo <mike@flyn.org>
Date:   Fri Jun 4 12:13:33 2010 -0500

    Small API change and bump release to 1.9.0.21
    
    Add dmap_db_add_with_id() to DMAPDb
    interface. map_container_record_get_entries() must not return a const
    because the return value should be free'd. Unref value returned
    by dmap_container_record_get_entries(). Free strings returned by
    g_object_get(). Change lookup_by_path() to lookup_by_location().
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit 491a323502cecc8ca6adbe96c5138114e507b80c
Author: W. Michael Petullo <mike@flyn.org>
Date:   Sun May 30 11:24:43 2010 -0500

    Bump release to 1.9.0.20
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit 8726e252e9c78e181f0dd2e8145d525472644096
Author: W. Michael Petullo <mike@flyn.org>
Date:   Sat May 29 12:45:45 2010 -0500

    Small API clean ups and additions
    
    Made some API changes based on lessons learned from working
    on dmapd and Rhythmbox: Add lookup_by_path() to DMAPDb, add
    add_path() to DMAPDb and ensure dmap_container_db_lookup_by_id(),
    dmap_container_record_get_id() and dmap_db_lookup_by_id() all deal with
    guint ids.
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit 3577d481ebd08c0b85516c37746967c21d12ad52
Author: W. Michael Petullo <mike@flyn.org>
Date:   Sat May 29 03:39:56 2010 -0500

    Add blob functions to DMAPRecord interface
    
    Add blob functions to DMAPRecord interface in order to facilitate
    database backends. Install dmap-md5.h.
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit b4a1fbb1eab1e7aae5330896bb1f118315a62697
Author: W. Michael Petullo <mike@flyn.org>
Date:   Fri May 28 01:07:39 2010 -0500

    Brown paper bag release
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit 7117ccae5220babfdc8534ad69df9dba0f64e2bb
Author: W. Michael Petullo <mike@flyn.org>
Date:   Fri May 28 00:59:43 2010 -0500

    Bump version number in configure.ac
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit bbd1b867c1d021bee9a0d331459ddc7a69c3f645
Author: W. Michael Petullo <mike@flyn.org>
Date:   Fri May 28 00:59:01 2010 -0500

    Fixed compiler warnings
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit 9722dd428cef657d3a5315bb4d38a89c8b291795
Author: W. Michael Petullo <mike@flyn.org>
Date:   Fri May 28 00:42:54 2010 -0500

    Bump version number in configure.ac
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit 763b76e1f2e4439f06db7dfa289dc2479aaa5841
Author: W. Michael Petullo <mike@flyn.org>
Date:   Fri May 28 00:39:26 2010 -0500

    Various code clean ups
    
    Increase the reference count of the databases passed to
    d[ap]ap_share_new(). dmap_db_lookup_by_id() now takes a const DMAPDb *.
    Add a _dmap_share_build_filter() prototype.
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit 0184340c1ae1e08b862cea8be64ee8d23f5ec628
Author: W. Michael Petullo <mike@flyn.org>
Date:   Thu May 27 05:30:39 2010 -0500

    Fix crash upon finalizing DMAPShare
    
    Fix crash upon finalizing DMAPShare that was caused by the misuse of
    avahi_entry_group_free().
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit dd16afea5f64ba9ffda63051fb8cc6106b452a4f
Author: W. Michael Petullo <mike@flyn.org>
Date:   Thu May 27 03:46:41 2010 -0500

    Continue refactoring D[AMP]APShare to increase code reuse.
    
    Refactor build_filter into dmap_share_build_factor. Begin naming
    D[AP]APRecord properties after DAAP keywords so that direct use of
    g_object_get can replace if/else or table lookups. Fix some declarations
    in dmap-db.c so that record IDs are always guint (vs. gint).
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit 557dd4970f77105556d90b8e43e892bc3c32efaf
Author: W. Michael Petullo <mike@flyn.org>
Date:   Mon May 24 11:31:25 2010 -0500

    Refactor DMAPShare, DAAPShare and DPAPShare to increase code reuse.
    
    This was done to support Alexandre Rosenfeld's Google Summer of Code
    effort to add DACP support to libdmapsharing. It should now be easier
    to implement DACPShare because more code has been moved to DMAPShare. The
    lines of code in DAAPShare and DPAPShare have been reduced by several
    hundred lines. I would expect a similar effect on DACPShare.
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit f6900fff43e65639a25bc34f114cd0d759cf1e28
Author: W. Michael Petullo <mike@flyn.org>
Date:   Sat May 22 12:12:16 2010 -0500

    Extend API to support dmapd work
    
    Add new to_blob/new_from_blob interface to D[AP]PRecord and modify
    DMAPShare's finalize code.
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit 51761a02b4391d765ac071b00fe9a306478b16db
Author: W. Michael Petullo <mike@flyn.org>
Date:   Wed May 19 23:43:35 2010 -0500

    Fix issues related to sort names and iTunes '09
    
    Protect against NULL artist or album sort names. Start adding support for
    iTunes '09. See also https://bugzilla.gnome.org/show_bug.cgi?id=616669,
    Move DAAP code to use common libdmapsharing for more information on
    the former.

commit cbaa1805fd19be443448d57ea85399ba050e8982
Author: W. Michael Petullo <mike@flyn.org>
Date:   Sun May 16 05:22:33 2010 -0500

    Documentation work
    
    In support of Alexandre Rosenfeld's Google Summer of Code work, I am
    documenting libdmapsharing in a way that I hope will help people extend
    libdmapsharing. This will supplement the documentation that is provided
    to application developers.
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit cfa81ab592d90141419d18bc20f69c289735763f
Author: W. Michael Petullo <mike@flyn.org>
Date:   Sat May 8 04:10:42 2010 -0500

    Remove debug statement
    
    Remove a debug statement that I accidentally left in place.
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit c3f8959a29fb8a889df1583b2bf34a198c96bb96
Author: W. Michael Petullo <mike@flyn.org>
Date:   Thu May 6 18:23:26 2010 -0500

    Send artist and album sort order to DAAP clients
    
    https://bugzilla.gnome.org/show_bug.cgi?id=616669
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit 7b85e01c99548b83773fd18e1dd5b7e8723e6183
Author: W. Michael Petullo <mike@flyn.org>
Date:   Wed Mar 17 21:18:00 2010 -0400

    Make _dmap_share_add_playlist_to_mlcl a proper GHashFunc
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit 208c2e1753f768a2f1cdf2b81c63af2ec33f1027
Author: W. Michael Petullo <mike@flyn.org>
Date:   Mon Mar 15 19:53:16 2010 -0400

    Use -D instead of dmap-priv.h to define G_LOG_DOMAIN.
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit 4da3d31df74cd9852fa182016aea16a099549c52
Author: W. Michael Petullo <mike@flyn.org>
Date:   Mon Mar 15 19:33:06 2010 -0400

    Set def. and min. value of track, year and disc to 0 (not 1) in DAAPRecord.
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit b03e55f4c8e766acc62992ba780cfe1cb5252f76
Author: W. Michael Petullo <mike@flyn.org>
Date:   Thu Mar 11 22:31:59 2010 -0500

    Add recent history to AUTHORS file.
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit 6bea3946486d28ec6bde27c00045dc70a90b5736
Author: W. Michael Petullo <mike@flyn.org>
Date:   Thu Mar 11 21:28:07 2010 -0500

    Move test code to new DMAPConnection API, fix typo in dmap-connection.c.
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit 44d776038baa5f6051c16b3e58ec58928a4a5d2c
Author: W. Michael Petullo <mike@flyn.org>
Date:   Thu Mar 11 21:24:09 2010 -0500

    Update ChangeLog.
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit 471ba0b2158623efc84417a9f73e471089aa838e
Author: W. Michael Petullo <mike@flyn.org>
Date:   Thu Mar 11 21:12:14 2010 -0500

    Fix URI handling when using IPv6 IP address (Rhythmbox bug #584244).
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit 93b8fccf3a5d658289f1eee3129992b92245e86f
Author: W. Michael Petullo <mike@flyn.org>
Date:   Thu Mar 11 20:57:51 2010 -0500

    Add user agent header to requests (Rhythmbox bug #610440).
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit a318018005585411c1add3bbf06a793b809e68f5
Author: W. Michael Petullo <mike@flyn.org>
Date:   Wed Mar 10 23:16:42 2010 -0500

    Start fixing client side of password authenticated connections. Remove
    DAAPConnection and DPAPConnection as they did not add anything to
    DMAPConnection.
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit 6b84b6ed7ea8d4ded14363feb46175655e148079
Author: W. Michael Petullo <mike@flyn.org>
Date:   Sat Feb 27 17:07:16 2010 -0500

    Change dmap_connection_get_headers so that it no longer takes a bytes
    argument and returns a SoupMessageHeaders *. This is to remain compatible
    with Rhythmbox.
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit 6b87cb8c89b7ece5d6b2959afe108fdcb0369ba6
Author: W. Michael Petullo <mike@flyn.org>
Date:   Sat Feb 27 15:56:13 2010 -0500

    Fixed debug statement that caused segfaults on MIPS32 and PowerPC.
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit ab7eff129b2585d1496f1d9a7a604b0c3175a1de
Author: W. Michael Petullo <mike@flyn.org>
Date:   Sat Dec 5 21:30:00 2009 -0500

    Add dmap-priv.h to Makefile.am.
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit 908e2ad3df0dcf4ebcf5a939603aafa6e2c2060b
Author: W. Michael Petullo <mike@flyn.org>
Date:   Sat Dec 5 21:16:33 2009 -0500

    Complete service-removed signal change.
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit 498dcd269aa9dad226fdadedd23eeb1beb9249ec
Author: W. Michael Petullo <mike@flyn.org>
Date:   Sat Dec 5 20:54:49 2009 -0500

    Change browser_remove_service so that argument to service-removed signal is
    a string service name instead of a DMAPMdnsBrowserService. This is what
    Rhythmbox expects.
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit 4411825c37186fb8378af6ed31c30fd85762bf41
Author: W. Michael Petullo <mike@flyn.org>
Date:   Sat Dec 5 18:16:44 2009 -0500

    Use "libdmapsharing" log domain.
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

commit bf5eec7c7190b485212fc304ef81737a863cfbf3
Author: W. Michael Petullo <mike@flyn.org>
Date:   Sun Nov 29 21:50:48 2009 -0500

    * Change configure script to require avahi, howl OR DNS_SD.H.
    
    * Make dmap_record_factory_create more generic, take gpointer user_data
    instead of path.
    
    * Fix daap_connection_new, take password_required.
    
    * Use typedef's for function arguments.
    
    * DMAPDb foreach function now takes GHFunc.

commit bc48137fbc5ce5121007eabfbaea8b02099f1a4c
Author: W. Michael Petullo <mike@flyn.org>
Date:   Sat Aug 22 21:39:01 2009 -0400

    Work on dns_sd mDNS backend.

commit 831f35165e6728e1ca3d9a402c29f2a8bb0f4e12
Author: W. Michael Petullo <mike@flyn.org>
Date:   Sun Aug 16 21:48:38 2009 -0400

    Added finalize function to TestDAAPRecord and TestDPAPRecord.

commit 93ece3d5a69262dce635d94613e1f871f6594277
Author: W. Michael Petullo <mike@flyn.org>
Date:   Sat Aug 15 20:05:40 2009 -0400

    Documentation updates, install dmap-mdns-browser.h and add progress idle
    function to dmap-connection.c.

commit 8a3140e50bed12ba95f789222a1c983812943fcd
Author: W. Michael Petullo <mike@flyn.org>
Date:   Fri Aug 14 16:33:53 2009 -0400

    Add documentation overview.
    
    Added an overview of the libdmapsharing API to the gtk-doc documentation.

commit 89b8994af0de1d7cf5d4beee0cee40992f2389b1
Author: W. Michael Petullo <mike@flyn.org>
Date:   Thu Aug 13 21:33:26 2009 -0400

    Removed dmap-mdns-browser.h from project root
    
    I'm not sure when dmap-mdns-browser.h was added to the project
    root. Obviously, it is not supposed to be there.

commit f8e3ccd9ec4f8f060eef9ccfdbdb0029e3168822
Author: W. Michael Petullo <mike@flyn.org>
Date:   Thu Aug 13 21:28:59 2009 -0400

    Documentation work and reference counting
    
    Started to add gtk-doc documentation. Worked on reference counting with
    regards to DMAPRecord and DMAPDb.

commit 41ee90323c0ef96ca05eaf94cb6dba5da8cd2223
Author: W. Michael Petullo <mike@flyn.org>
Date:   Mon Aug 10 20:42:21 2009 -0400

    Add missing dnssd files to Git.

commit cdf7760ac2b804eeda9b7d9ae4da4e4753479193
Author: W. Michael Petullo <mike@flyn.org>
Date:   Sat Aug 8 20:13:08 2009 -0400

    Add libdmapsharing.doap.

commit 6a45d3e99fdf573cd161b5aa32dbfa807dd66bae
Author: W. Michael Petullo <mike@flyn.org>
Date:   Sat Aug 8 20:02:09 2009 -0400

    Initial git commit. Moving project from SourceForge to GNOME.

======================== Convert to Git-based ChangeLog ========================
= Please note that there is is a period where some changes were logged in the  =
= ChangeLog and others in Git. This may be present between August 2009 and     =
= November 2010.                                                               =
================================================================================

19 November 2010 W. Michael Petullo <mike@flyn.org>

	* Change Content-Type to consistently be application/x-dmap-tagged
	after getting a bug report from Michael Miceli. I confirmed that
	iTunes uses this content type (not application/x-daap-tagged)
	when sharing music.

	* Move over-anxious g_object_unref in _dmap_share_databases that
	resulted in corrupt DPAP thumbnails when using DmapdDMAPDbDisk.

18 November 2010 W. Michael Petullo <mike@flyn.org>

	* Fix problem sharing to iTunes due to incorrect Content-Length

	* Bump version number.

	* Don't set Connection: Close header in response to /databases/1/items (iTunes)

11 November 2010 W. Michael Petullo <mike@flyn.org>

	* Bump version number.

07 November 2010 W. Michael Petullo <mike@flyn.org>

	* Significant work on an interim solution for the problem
	of memory usage while building the "/1/items" response. We
	previously simply called foreach...add_entry_to_mlcl and later
	serialized the entire structure. This has the disadvantage that
	the entire response must be in memory before libsoup sends it
	to the client. Now, we transmit portions at a time.

31 October 2010 W. Michael Petullo <mike@flyn.org>

	* Bump version number.

24 October 2010 W. Michael Petullo <mike@flyn.org>

	* Fix _dmap_share_build_filter to support commas in values.

23 October 2010 W. Michael Petullo <mike@flyn.org>

	* Provide a configuration-time warning if libsoup < 2.32; this
	is required to interact with Apple Remote App.

21 October 2010 W. Michael Petullo <mike@flyn.org>

	* Advertise support for dmap.supportsupdate even though we don't
	support it. This should fix DACP interaction with Apple Remote
	v2.0.1 (229). Add real support for dmap.supportsupdate to TODO.

16 October 2010 W. Michael Petullo <mike@flyn.org>

	* Add terminating record to meta_data_map in dpap-share.c.

01 October 2010 W. Michael Petullo <mike@flyn.org>

	* Fix missed "daap.songX" to "songX" change.

29 September 2010 W. Michael Petullo <mike@flyn.org>

	* Fix some bugs related to the recent DmapMdnsPublisher singleton
	change.

09 September 2010 W. Michael Petullo <mike@flyn.org>

	* Allow two sub-DMAP protocols (e.g., DAAP and DPAP) in one
	process.

07 September 2010 W. Michael Petullo <mike@flyn.org>

	* Allow dmap-mdns-*-dnssd.c to compile.

06 September 2010 W. Michael Petullo <mike@flyn.org>

	* Fix serving to iTunes 10.

03 September 2010 W. Michael Petullo <mike@flyn.org>

	* Fix license notice on several source files.

	* Fix license on dacp-player.[ch] after receiving confirmation
	from Alexandre.

	* Fix license on test-dmap-client.c after receiving confirmation
	from Andre.

20 August 2010 W. Michael Petullo <mike@flyn.org>

	* Back out Alexandre's addition of itemid property from
	DAAPRecord. The itemid is the DMAPDb ID.

20 August 2010 Alexandre Rosenfeld <alexandre.rosenfeld@gmail.com>

	* Apply Alexandre Rosenfeld's DACP patch from Google Summer of
	Code 2010.

22 July 2010 W. Michael Petullo <mike@flyn.org>

	* Remove redundancy between dmap_connection_build_message()
	and dmap_connection_build_message().

04 June 2010 W. Michael Petullo <mike@flyn.org>

	* Add dmap_db_add_with_id() to DMAPDb interface.

	* dmap_container_record_get_entries() must not return a const
	because the return value should be free'd.

01 June 2010 W. Michael Petullo <mike@flyn.org>

	* Unref value returned by dmap_container_record_get_entries().

	* Free strings returned by g_object_get().

30 May 2010 W. Michael Petullo <mike@flyn.org>

	* Change lookup_by_path() to lookup_by_location().

29 May 2010 W. Michael Petullo <mike@flyn.org>

	* Add blob functions to DMAPRecord interface.

	* Add lookup_by_path() to DMAPDb.

	* Add add_path() to DMAPDb.

	* Ensure dmap_container_db_lookup_by_id(),
	dmap_container_record_get_id() and dmap_db_lookup_by_id() all
	deal with guint ids.

28 May 2010 W. Michael Petullo <mike@flyn.org>

	* Install dmap-md5.h.

27 May 2010 W. Michael Petullo <mike@flyn.org>

	* Fix crash upon finalizing DMAPShare that was caused by misuse of
	avahi_entry_group_free().

	* Increase the reference count of the databases passed to
	d[ap]ap_share_new().

	* dmap_db_lookup_by_id now takes a const DMAPDb *.

	* Add a _dmap_share_build_filter() prototype.

25 May 2010 W. Michael Petullo <mike@flyn.org>

	* Refactor build_filter into dmap_share_build_factor.

	* Begin naming D[AP]APRecord properties after DAAP keywords so
	that direct use of g_object_get can replace if/else or table
	lookups.

	* Fix some declarations in dmap-db.c so that record IDs are
	always guint (vs. gint).

24 May 2010 W. Michael Petullo <mike@flyn.org>

	* Refactor DMAPShare, DAAPShare and DPAPShare to move code
	to DMAPShare and increase code reuse.

22 May 2010 W. Michael Petullo <mike@flyn.org>

	* Add new to_blob/new_from_blob interface to D[AP]PRecord.

20 May 2010 W. Michael Petullo <mike@flyn.org>

	* Fix finalize code for DMAPShare.

18 May 2010 W. Michael Petullo <mike@flyn.org>

	* Add another case to dpap-share.c:build_filter() in an attempt
	to support iTunes '09.

16 May 2010 W. Michael Petullo <mike@flyn.org>

	* Documentation work.

07 May 2010 W. Michael Petullo <mike@flyn.org>

	* Send artist and album sort order to DAAP clients.

17 March 2010 W. Michael Petullo <mike@flyn.org>

	* Make _dmap_share_add_playlist_to_mlcl a proper GHashFunc.

15 March 2010 W. Michael Petullo <mike@flyn.org>

	* Set def. and min. value of track, year and disc to 0 (not 1) in
	DAAPRecord.

	* Use -D instead of dmap-priv.h to define G_LOG_DOMAIN.

11 March 2010 W. Michael Petullo <mike@flyn.org>

	* Add user agent header to requests (Rhythmbox bug #610440).

	* Fix URI handling when using IPv6 IP address (Rhythmbox bug #584244).

27 February 2010 W. Michael Petullo <mike@flyn.org>

	* Change dmap_connection_get_headers so that it no longer takes a
	bytes argument and returns a SoupMessageHeaders *. This is to remain
	compatible with Rhythmbox.

12 December 2009 W. Michael Petullo <mike@flyn.org>

	* Fixed debug statement that caused segfaults of MIPS32 and
	PowerPC.

05 December 2009 W. Michael Petullo <mike@flyn.org>

	* Use our own log domain.

28 November 2009 W. Michael Petullo <mike@flyn.org>

	* Change configure script to require avahi, howl OR DNS_SD.H.

28 August 2009 W. Michael Petullo <mike@flyn.org>

	* Make dmap_record_factory_create more generic, take gpointer
	user_data instead of path.

27 August 2009 W. Michael Petullo <mike@flyn.org>

	* Fix daap_connection_new, take password_required.

	* Use typedef's for function arguments.

	* DMAPDb foreach function now takes GHFunc.

22 August 2009 W. Michael Petullo <mike@flyn.org>

	* Work on dns_sd mDNS backend.

	* Make autogen.sh work with MacPorts.

17 August 2009 W. Michael Petullo <mike@flyn.org>

	* Update tests to include dmap.h.

	* Ensure values g_free'd before set in D[AP]APRecord's
	set_properties.

	* Add dmap-mdns-publisher.h back to installed headers.

16 August 2009 W. Michael Petullo <mike@flyn.org>

	* Add finalize function for TestDAAPRecord and TestDPAPRecord.

15 August 2009 W. Michael Petullo <mike@flyn.org>

	* Documentation.

	* Add progress idle function to dmap-connection.c.

	* Install dmap-mdns-browser.h again.

14 August 2009 W. Michael Petullo <mike@flyn.org>

	* Add documentation overview.

13 August 2009 W. Michael Petullo <mike@flyn.org>

	* Proper reference counting for DMAPRecords in DMAPDbs.

	* Documentation work.

12 August 2009 W. Michael Petullo <mike@flyn.org>

	* Simplify autogen.sh.

30 July 2009 W. Michael Petullo <mike@flyn.org>

	* Modify configure.ac to require gstreamer-plugins-base >=
	0.10.23.2 for GNOME Bugzilla #588205 & #587896.

	* Remove newly obsolete code (daap-item.c, etc.)

	* Auto-generate marshaling code for dmap-connection.c.

29 July 2009 W. Michael Petullo <mike@flyn.org>

	* Port tests to new client API.

28 July 2009 W. Michael Petullo <mike@flyn.org>

	* More rhythmbox-related work.

27 July 2009 W. Michael Petullo <mike@flyn.org>

	* Rhythmbox-related work.

25 July 2009 W. Michael Petullo <mike@flyn.org>

	* Pull DMAPConnection from more modern Rhythmbox in preparation
	of implementing libdmapsharing-base Rhythmbox DAAP plugin.

22 July 2009 W. Michael Petullo <mike@flyn.org>

	* D[AP]APRecord no longer had DMAPRecord as parent.

	* Fixed various runtime warnings.

21 July 2009 W. Michael Petullo <mike@flyn.org>

	* Fix handling of DAAP filesize.

	* Work on seeking.

18 July 2009 W. Michael Petullo <mike@flyn.org>

	* Fix various GLib Warnings.

13 July 2009 W. Michael Petullo <mike@flyn.org>

	* Fix bug where the first stream/pipeline continues after
	a fast forwarding to a second.

11 July 2009 W. Michael Petullo <mike@flyn.org>

	* Change some g_warning's to g_debug.

10 July 2009 W. Michael Petullo <mike@flyn.org>

	* Fix HTTP encoding decision in daap-share.c.

09 July 2009 W. Michael Petullo <mike@flyn.org>

	* Fix use of giostream element (two upstream GStreamer bugs
	fixed in the process).

06 July 2009 W. Michael Petullo <mike@flyn.org>

	* Make all GStreamer / transcoding code optional.

05 July 2009 W. Michael Petullo <mike@flyn.org>

	* Move transcoding to libdmapsharing.

02 July 2009 W. Michael Petullo <mike@flyn.org>

	* Get rid of get methods in daap-record.c and replace with
	GObject properties.

17 June 2009 W. Michael Petullo <mike@flyn.org>

	* Slight API change to support delaying trancoding decisions
	until after a file has been requested.

30 April 2009 W. Michael Petullo <mike@flyn.org>

	* Fix compiler warning.

	* Update RPM specification.

19 April 2009 W. Michael Petullo <mike@flyn.org>

	* Fix memory leaks in dmap-db.c's filter code.

18 April 2009 W. Michael Petullo <mike@flyn.org>

	* Start to implement dmap-mdns-browser-dnssd.c and
	dmap-mdns-publisher-dnssd.c -- still needs work.

11 April 2009 W. Michael Petullo <mike@flyn.org>

	* Add support for Apple's DNSSD to configure.ac.

10 April 2009 W. Michael Petullo <mike@flyn.org>

	* Clean up some compiler warnings.

07 April 2009 W. Michael Petullo <mike@flyn.org>

	* Completed DAAP browsing.

05 April 2009 W. Michael Petullo <mike@flyn.org>

	* Filtering now works.

04 April 2009 W. Michael Petullo <mike@flyn.org>

	* Work on DAAP browsing, start support for filter.

31 March 2009 W. Michael Petullo <mike@flyn.org>

	* Began supporting DAAP browsing (e.g., list genres).

30 March 2009 W. Michael Petullo <mike@flyn.org>

	* Set rating in daap-share.c.

29 March 2009 W. Michael Petullo <mike@flyn.org>

	* Fix compiler warnings related to const return from
	dmap_container_record_get_entries.

28 March 2009 W. Michael Petullo <mike@flyn.org>

	* Fix support for Roku clients; they use query parameter, much
	like iPhoto.

	* Update pkg-config file to support includedir & libdir in terms
	of prefix.

26 March 2009 W. Michael Petullo <mike@flyn.org>

	* Work on seeking.

	* Add new DAAPRecord method: itunes_compat.

24 March 2009 W. Michael Petullo <mike@flyn.org>

	* Make dmap_container_record_get_entries return a const DMAPDb *.

	* Remove commented out mmap code from daap-share.c.

07 March 2009 W. Michael Petullo <mike@flyn.org>

	* Fix Cflags in libdmapsharing.pc.in.

06 March 2009 W. Michael Petullo <mike@flyn.org>

	* Use @libdir@ in libdmapsharing.pc.in to support 64-bit
	architectures.

	* Do not include -<major verion> in SONAME.

	* Set LDFLAGS properly when building libdmapsharing.

	* Update RPM specification file.

02 March 2009 W. Michael Petullo <mike@flyn.org>

	* Fix some issues that broke compiling on 64-bit platforms.

28 February 2009 W. Michael Petullo <mike@flyn.org>

	* Support building with older versions of libsoup, just don't
	build HTTP 1.0 / SOUP_ENCODING_EOF support.

27 February 2009 W. Michael Petullo <mike@flyn.org>

	* Always use content length encoding for video data, as iTunes
	seems to require this.

22 February 2009 W. Michael Petullo <mike@flyn.org>

	* Require libsoup >= 2.25.92, as this version supports
	SOUP_ENCODING_EOF message encoding, required for HTTP 1.0 clients.

	* Decrease DMAP_SHARE_CHUNK_SIZE now that the Roku SoundBridge is
	properly handled as a HTTP 1.0 client.

12 February 2009 W. Michael Petullo <mike@flyn.org>

	* dmap_container_record_get_entries now returns a DMAPDb *
	instead of a GSList *.

	* Increase DMAP_SHARE_CHUNK_SIZE in order to keep Roku SoundBridge
	client from popping.

	* Send proper count to client when providing list of containers.

02 February 2009 W. Michael Petullo <mike@flyn.org>

	* Bump version number to 1.9 in preparation for release.

31 January 2009 W. Michael Petullo <mike@flyn.org>

	* Slight change to DAAPRecord and DPAPRecord interfaces. Add
	read method that returns GInputStream * (instead of simply the
	location/path). This sets the conditions for realtime transcoding
	done by interface implementations.

25 January 2009 W. Michael Petullo <mike@flyn.org>

	* Don't try to mmap large files for DAAP sharing; they may be
	large videos that could cause the server to thrash.

19 January 2009 W. Michael Petullo <mike@flyn.org>

	* Add a DMAP record factory interface.

18 January 2009 W. Michael Petullo <mike@flyn.org>

	* Support sharing video (Quicktime for now).

	* Merge DAAPDb and DPAPDb interfaces into DMAPDb.

10 January 2009 W. Michael Petullo <mike@flyn.org>

	* Update libdmapsharing.spec.

09 January 2009 W. Michael Petullo <mike@flyn.org>

	* Format some code better.

	* Release mmap'ed files before mmap'ing another one.

	* Implement sharing of playlists / albums.

08 January 2009 W. Michael Petullo <mike@flyn.org>

	* Add to README.

	* Format some code better.

	* Update license headings.

07 January 2009 W. Michael Petullo <mike@flyn.org>

	* Add library version to build system.

	* Remove fork from dmap-test-server.c.

	* Consolidate parsing of meta-data portion of query in dmap-share.c.

06 January 2009 W. Michael Petullo <mike@flyn.org>

	* Add Fedora RPM spec file.

05 January 2009 W. Michael Petullo <mike@flyn.org>

	* Fix test code to work with new thumbnail interface.

01 January 2009 W. Michael Petullo <mike@flyn.org>

	* Reengineered database code.

30 December 2008 W. Michael Petullo <mike@flyn.org>

	* DPAP sharing now works with iPhoto 6.

28 December 2008 W. Michael Petullo <mike@flyn.org>

	* DAAP sharing now works with iTunes 8.

26 December 2008 W. Michael Petullo <mike@flyn.org>

	* Split DAAP sharing functionality into two classes: DMAPShare
	and DAAPShare. DAAPShare is a subclass of DMAPShare.

	* Start work on DPAP server code.

21 December 2008 W. Michael Petullo <mike@flyn.org>

	* Moved daap_mdns_publisher* to dmap_mdns_publisher*.

	* Make type_of_service (e.g., _daap._tcp) configurable in
	dmap_mdns_publisher*.

18 December 2008 W. Michael Petullo <mike@flyn.org>

	* Begin implementing server code.

18 December 2008 W. Michael Petullo <mike@flyn.org>

	* Update to compile against libsoup-2.24.
